﻿----------------------------------------------------------------------------------------------------
-- DroodFocus 4.0.0 - config
-- Author : Meranannon - Discordia - Vol'jin (EU)
-- rev 5
----------------------------------------------------------------------------------------------------

DF_namespace.anchor={}

DF_namespace.lock=true
DF_namespace.configmode=false
DF_namespace.currentTime=GetTime()
DF_namespace.playerId = nil
DF_namespace.playerClass = nil
DF_namespace.playerLevel = nil

DF_namespace.configToLoad = nil

DF_namespace.environnement = getfenv(0)

DF_namespace.newSpell={
	spellIDs="0",
	positionx=0,
	positiony=0,
	width=32,
	height=32,
	form={true,false,false,false,false,false,false},
	color={r=1,v=0,b=0,a=1},
	sType="Debuff",
	perso=false,
	combo=false,
	icon=true,
	timerbar=1,
	getUptime=false,
}

-- effacement valeur d'une table
function DF_namespace:clearTable(source)
	local function _clear(csource)
		for index, value in pairs(csource) do
			if type(csource[index]) ~= "table" then
				csource[index]=nil
			else
				_clear(csource[index])
			end
		end
	end
	
	_clear(source)
	
end

-- copy d'une table vers une autre
function DF_namespace:copyTable(source,destination)
	local function _copy(csource,cdestination)
		for index, value in pairs(csource) do
			if type(csource[index]) ~= "table" then
				cdestination[index]=csource[index]
			else
				if not cdestination[index] then
					cdestination[index]={}
				end
				_copy(csource[index],cdestination[index])
			end
		end
	end
	
	_copy(source,destination)
	
end

function DF_namespace:deepcopy(object)
    local lookup_table = {}
    local function _copy(object)
        if type(object) ~= "table" then
            return object
        elseif lookup_table[object] then
            return lookup_table[object]
        end
        local new_table = {}
        lookup_table[object] = new_table
        for index, value in pairs(object) do
            new_table[_copy(index)] = _copy(value)
        end
        return setmetatable(new_table, getmetatable(object))
    end
    return _copy(object)
end

	-- Compléte la configuration actuel avec les variables de la config par default
function DF_namespace:completeTable(tcurrent,tdefaut)
	local chemin="config"
	local function _check(current,defaut,chemin)
		for index, value in pairs(defaut) do
			if type(defaut[index]) ~= "table" then
				if current[index]==nil then
					current[index]=defaut[index]
					--DEFAULT_CHAT_FRAME:AddMessage(chemin.."."..tostring(index).." set to \""..tostring(defaut[index]).."\"");
				end
			else
				if chemin~="config.spells" then
					if current[index]==nil then
						current[index]={}
					end				
					_check(current[index],defaut[index],chemin.."."..tostring(index))
				end
			end
		end
	end
	_check(tcurrent,tdefaut,chemin)	
end

function DF_namespace:configSaved(name)
	local nbConf=getn(DF_saved_configs)
	for i = 1,nbConf do
		if DF_saved_configs[i].configname==name then
			return i
		end
	end
	
	return 0
	
end

function DF_namespace:configBuildin(name)
	local nbConf=getn(DF_pred_configs)
	for i = 1,nbConf do
		if DF_pred_configs[i].configname==name then
			return i
		end
	end
	
	return 0
	
end

function DF_namespace:config_Save(name)
	
	if not name then name=DF_config.configname end
	
	conf = DF_namespace:configSaved(name)

	if conf==0 then
		conf=getn(DF_saved_configs)+1
		DF_saved_configs[conf] = {}
	end

	DF_saved_configs[conf] = DF_namespace:deepcopy(DF_config)
	DF_saved_configs[conf].configname=name

	DF_namespace:options_SavedconfigLists()
	
	DEFAULT_CHAT_FRAME:AddMessage(DF_namespace.locale["saved"]..name)
end

function DF_namespace:config_Load(name)
	
	if not name then name=DF_namespace.configToLoad end
	
	if string.find(name, "BuildIn") then
		conf = DF_namespace:configBuildin(name)
		if conf~=0 then
			while getn(DF_config.spells)>getn(DF_pred_configs[conf].spells) do
				table.remove(DF_config.spells,getn(DF_config.spells))
			end

			nbSpells = getn(DF_config.spells)
			for i = 1,nbSpells do		
				DF_config.spells[i].strongcheck=true
				DF_config.spells[i].showcd=true
			end	
	
			DF_namespace:options_hide()
			DF_namespace:clearTable(DF_config)
			DF_namespace:copyTable(DF_pred_configs[conf],DF_config)
			DF_namespace:completeTable(DF_config,DF_pred_configs[1])
			
			DF_namespace:init_frames()
			DF_namespace:toggle_toggle()
			DEFAULT_CHAT_FRAME:AddMessage(DF_namespace.locale["loaded"]..DF_config.configname)
			
			DF_namespace:options_hide("DFOPTIONSelement");DF_namespace:options_show("DFOPTIONSelement")
			
			DF_namespace.environnement["confignamebox"]:Hide()
			DF_namespace.environnement["confignamebox"]:Show()		
	
			return
		end
	else
		conf = DF_namespace:configSaved(name)
		if conf~=0 then
			
			while getn(DF_config.spells)>getn(DF_saved_configs[conf].spells) do
				table.remove(DF_config.spells,getn(DF_config.spells))
			end

			nbSpells = getn(DF_config.spells)
			for i = 1,nbSpells do		
				DF_config.spells[i].strongcheck=true
				DF_config.spells[i].showcd=true
			end	
			
			DF_namespace:options_hide()
			
			DF_namespace:clearTable(DF_config)
			DF_namespace:copyTable(DF_saved_configs[conf],DF_config)
			DF_namespace:completeTable(DF_config,DF_pred_configs[1])
			
			DF_namespace:init_frames()
			DF_namespace:toggle_toggle()
			DEFAULT_CHAT_FRAME:AddMessage(DF_namespace.locale["loaded"]..DF_config.configname)
			
			DF_namespace:options_hide("DFOPTIONSelement");DF_namespace:options_show("DFOPTIONSelement")
			
			DF_namespace.environnement["confignamebox"]:Hide()
			DF_namespace.environnement["confignamebox"]:Show()		
			
			return
		end
	end
	
end

function DF_namespace:config_Reset()

	while getn(DF_config.spells)>getn(DF_pred_configs[1].spells) do
		table.remove(DF_config.spells,getn(DF_config.spells))
	end

	nbSpells = getn(DF_config.spells)
	for i = 1,nbSpells do		
		DF_config.spells[i].strongcheck=true
		DF_config.spells[i].showcd=true
	end	

	DF_namespace:options_hide()
	
	DF_namespace:clearTable(DF_config)
	DF_namespace:copyTable(DF_pred_configs[1],DF_config)
	DF_namespace:completeTable(DF_config,DF_pred_configs[1])
	
	DF_namespace:init_frames()
	DF_namespace:toggle_toggle()
	DF_namespace.environnement["confignamebox"]:Hide()
	DF_namespace.environnement["confignamebox"]:Show()
	DF_namespace.environnement["dfcombat"]:Hide()
	DF_namespace.environnement["dfcombat"]:Show()
	DEFAULT_CHAT_FRAME:AddMessage(DF_namespace.locale["reset"])
	
end

--
-- configurations prédéfinies
--
DF_pred_configs = {
	{
		["configversion"] = "400",
		["MiniMapAngle"] = 215.8160744865155,
		["portrait"] = {
			["textures"] = {
				"Interface\\AddOns\\DroodFocus\\datas\\empty.tga", -- [1]
				"Interface\\AddOns\\DroodFocus\\datas\\bearform.tga", -- [2]
				"Interface\\AddOns\\DroodFocus\\datas\\aquaform.tga", -- [3]
				"Interface\\AddOns\\DroodFocus\\datas\\catform.tga", -- [4]
				"Interface\\AddOns\\DroodFocus\\datas\\travelform.tga", -- [5]
				"Interface\\AddOns\\DroodFocus\\datas\\moonkinform.tga", -- [6]
				"Interface\\AddOns\\DroodFocus\\datas\\flightform.tga", -- [7]
			},
			["height"] = "48",
			["level"] = 5,
			["positiony"] = 0,
			["enable"] = true,
			["mode"] = "ADD",
			["positionx"] = 1.72,
			["width"] = "48",
		},
		["powerbar"] = {
			["fontSize"] = 15,
			["positiony"] = "-18.5",
			["enable"] = true,
			["showSpark"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["colorDef"] = {
				["a"] = 1,
				["r"] = 0.5,
				["v"] = 0.5,
				["b"] = 0.5,
			},
			["colorNrj"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 0,
			},
			["textx"] = -3.5,
			["texty"] = 2,
			["height"] = 32,
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["border"] = true,
			["colorMana"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 1,
			},
			["enableArrows"] = true,
			["arrows"] = {
				33983, -- [1]
				5221, -- [2]
				80, -- [3]
				0, -- [4]
			},
			["width"] = 192,
			["showText"] = true,
			["colorRage"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["orientation"] = "HORIZONTAL",
			["positionx"] = "10",
			["textAlign"] = "BOTTOMRIGHT",
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["threatbar"] = {
			["fontSize"] = 8,
			["positiony"] = -49.5,
			["enable"] = true,
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 3,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textx"] = -7,
			["width"] = 192,
			["texty"] = 1,
			["positionx"] = "10",
			["showText"] = false,
			["height"] = "6",
			["orientation"] = "HORIZONTAL",
			["textAlign"] = "RIGHT",
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["gridSizeX"] = 0.25,
		["sound"] = {
			["enable"] = true,
			["soundfiles"] = {
				"", -- [1]
				"Sound\\Spells\\Druid_Pounce.wav", -- [2]
				"", -- [3]
				"Sound\\Spells\\Druid_FeralCharge.wav", -- [4]
				"", -- [5]
				"", -- [6]
				"", -- [7]
			},
		},
		["timelines"] = {
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
			["enable"] = false,
			["activeAlpha"] = 0.1,
			["width"] = 1,
		},
		["activeForms"] = {
			false, -- [1]
			true, -- [2]
			true, -- [3]
			true, -- [4]
			true, -- [5]
			false, -- [6]
			false, -- [7]
		},
		["healthbar"] = {
			["fontSize"] = 12,
			["positiony"] = 40,
			["enable"] = false,
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["colorBad"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["colorAverage"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0.5,
				["b"] = 0,
			},
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["level"] = 2,
			["textx"] = -7,
			["width"] = 192,
			["positionx"] = 8,
			["height"] = 18,
			["showText"] = true,
			["texty"] = 1,
			["orientation"] = "HORIZONTAL",
			["textAlign"] = "RIGHT",
			["colorGood"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 1,
				["b"] = 0,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["anchor3"] = {
			["visible"] = true,
			["positiony"] = 452.5,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "TIMERBARS 1",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 405.25,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["icons"] = {
			["textsoffsets"] = {
				{
					["offsety"] = -1,
					["offsetx"] = 1,
				}, -- [1]
				{
					["offsety"] = 1,
					["offsetx"] = 1,
				}, -- [2]
				{
					["offsety"] = 1,
					["offsetx"] = 1,
				}, -- [3]
			},
			["fontSize"] = 13,
			["orderByTime"] = true,
			["level"] = 10,
			["automatic"] = true,
			["colonne"] = 8,
			["activeAlpha"] = 1,
			["width"] = 37,
			["speed"] = 4,
			["inactiveAlpha"] = 0.3,
			["enable"] = true,
			["growup"] = false,
			["height"] = 37,
			["mode"] = "BLEND",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["blood"] = {
			["persistence"] = 7,
			["enable"] = true,
			["mode"] = "BLEND",
			["level"] = 1,
			["size"] = 0.6,
		},
		["anchor4"] = {
			["visible"] = true,
			["positiony"] = 367.5,
			["scale"] = 0.75,
			["width"] = 32,
			["info"] = "TIMERBARS 2",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 841,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["alignToGrid"] = true,
		["inCombat"] = false,
		["configname"] = "(BuildIn) DroodFocus (Default)",
		["combo"] = {
			["angleB"] = 183,
			["offsety"] = 0,
			["positiony"] = "-21",
			["enable"] = true,
			["form"] = {
				false, -- [1]
				true, -- [2]
				false, -- [3]
				true, -- [4]
				false, -- [5]
				false, -- [6]
				false, -- [7]
			},
			["angleA"] = 288,
			["width"] = 20,
			["positionx"] = 51.66293145777689,
			["ptype"] = 1,
			["rayon"] = 37,
			["offsetx"] = 20,
			["height"] = 20,
			["level"] = 4,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\combo.tga",
			["mode"] = "BLEND",
		},
		["anchor6"] = {
			["visible"] = true,
			["positiony"] = 312,
			["scale"] = 0.75,
			["width"] = "32",
			["info"] = "CD",
			["positionx"] = 634,
			["height"] = "32",
			["level"] = 10,
			["mode"] = "BLEND",
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["targetbar"] = {
			["fontSize"] = 11,
			["positiony"] = -6,
			["enable"] = true,
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textx"] = 0,
			["width"] = 192,
			["texty"] = 1,
			["textAlign"] = "CENTER",
			["showText"] = true,
			["height"] = "13",
			["orientation"] = "HORIZONTAL",
			["positionx"] = 10,
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0.75,
				["b"] = 0,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["infos"] = {
			["fontSize"] = 10,
			["enable"] = false,
			["infolines"] = "PowerAttack: #meleeAP*Crit: #meleeCrit*Haste: #meleeHaste*ArPen: #armPen",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_typewriter.ttf",
			["level"] = 20,
			["backColor"] = {
				["a"] = 0,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
			["textColor"] = {
				["a"] = 0.4600000381469727,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["timerbar"] = {
			["orderByTime"] = true,
			["enable"] = true,
			["font1Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["border"] = true,
			["borderSize"] = 1,
			["cdColor"] = {
				["a"] = 0.8,
				["r"] = 1,
				["v"] = 1,
				["b"] = 0,
			},
			["showTimeLine"] = true,
			["inactiveAlpha"] = 0,
			["level"] = 4,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["activeAlphaCD"] = 1,
			["font2Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf",
			["activeAlpha"] = 1,
			["growup"] = false,
			["timeline"] = 14,
			["font1Size"] = 12,
			["width"] = 192,
			["font2Size"] = 20,
			["textsoffsets"] = {
				{
					["offsety"] = 2,
					["offsetx"] = 0,
				}, -- [1]
				{
					["offsety"] = 0,
					["offsetx"] = 2,
				}, -- [2]
			},
			["cdoffsety"] = 2,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["height"] = "20",
			["cdoffsetx"] = 0,
			["showSpark"] = true,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["gridSizeY"] = 0.25,
		["gps"] = {
			["fontSize"] = 16,
			["offsety"] = -22,
			["positiony"] = 236.0119833591963,
			["enable"] = true,
			["alpha"] = 1,
			["width"] = "48",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf",
			["offsetx"] = 0,
			["positionx"] = 730.6785558338385,
			["height"] = "36",
			["mode"] = "BLEND",
			["level"] = 10,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["manabar"] = {
			["fontSize"] = 12,
			["positiony"] = 140,
			["color"] = {
				["r"] = 0,
				["v"] = 0,
				["b"] = 1,
			},
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["enable"] = false,
			["width"] = 192,
			["texty"] = 1,
			["textAlign"] = "RIGHT",
			["showText"] = true,
			["orientation"] = "HORIZONTAL",
			["height"] = 18,
			["positionx"] = 8,
			["textx"] = -7,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["spells"] = {
			{
				["spellIDs"] = "52610",
				["abiStack"] = 0,
				["abiDuration"] = 29,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 0,
					["v"] = 1,
					["b"] = 0.2078431372549019,
				},
				["showcd"] = true,
				["names"] = {
					"Rugissement sauvage", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 5.138999999995576,
				["abiSpellId"] = 52610,
				[""] = true,
				["timerbar"] = 0,
				["abiSound"] = "",
				["icon"] = true,
				["height"] = 32,
				["abiTimeLeft"] = 0,
				["abiAlphaPulse"] = 0,
				["abiInternalCD"] = 0,
				["ids"] = {
					52610, -- [1]
				},
				["abiUpTime"] = 0,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["abiSpelltext"] = "Rugissement sauvage",
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = true,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [1]
			{
				["spellIDs"] = "16857;770;33602",
				["abiStack"] = 0,
				["abiDuration"] = 300,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 0.9803921568627451,
					["v"] = 1,
					["b"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Lucioles (farouche)", -- [1]
					"Lucioles", -- [2]
					"Lucioles améliorées", -- [3]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 212.8140000000058,
				["abiSpellId"] = 16857,
				[""] = true,
				["timerbar"] = 0,
				["abiSound"] = "",
				["icon"] = true,
				["height"] = 32,
				["abiTimeLeft"] = 0,
				["abiAlphaPulse"] = 0,
				["abiInternalCD"] = 0,
				["ids"] = {
					16857, -- [1]
					770, -- [2]
					33602, -- [3]
				},
				["abiUpTime"] = 0,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["abiSpelltext"] = "Lucioles (farouche)",
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [2]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 12,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 0.4117647058823529,
					["r"] = 1,
				},
				["showcd"] = true,
				["names"] = {
					"Mutilation (félin)", -- [1]
					"Mutilation (ours)", -- [2]
					"Traumatisme", -- [3]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 8.850000000005821,
				["abiSpellId"] = 33983,
				["abiSpelltext"] = "Mutilation (félin)",
				["icon"] = true,
				["abiSound"] = "",
				["timerbar"] = 0,
				["sType"] = "Debuff",
				["getUptime"] = true,
				["abiAlphaPulse"] = 0,
				["spellIDs"] = "33983;33987;46854",
				["ids"] = {
					33983, -- [1]
					33987, -- [2]
					46854, -- [3]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 0,
				["perso"] = false,
				["abiTimeLeft"] = 0,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["positiony"] = 0,
			}, -- [3]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 12,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 0,
					["r"] = 1,
				},
				["showcd"] = true,
				["names"] = {
					"Griffure", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0.3070000000006985,
				["abiSpellId"] = 1822,
				["abiSpelltext"] = "Griffure",
				["timerbar"] = 0,
				["abiSound"] = "",
				["icon"] = true,
				["sType"] = "Debuff",
				["getUptime"] = true,
				["abiAlphaPulse"] = 0,
				["spellIDs"] = "1822",
				["ids"] = {
					1822, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 0,
				["perso"] = true,
				["abiTimeLeft"] = 0,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["positiony"] = 0,
			}, -- [4]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 15,
				["combo"] = true,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 0,
					["r"] = 1,
				},
				["showcd"] = true,
				["names"] = {
					"Lacérer", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 12.20700000000215,
				["abiSpellId"] = 33745,
				["abiSpelltext"] = "Lacérer",
				["timerbar"] = 0,
				["abiSound"] = "",
				["icon"] = true,
				["sType"] = "Debuff",
				["abiTimeLeft"] = 0,
				["abiAlphaPulse"] = 0,
				["spellIDs"] = "33745",
				["ids"] = {
					33745, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 0,
				["perso"] = true,
				["getUptime"] = true,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["positiony"] = 0,
			}, -- [5]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 15.561,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Déchirure", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 9.143000000003667,
				["abiSpellId"] = 1079,
				["abiSpelltext"] = "Déchirure",
				["timerbar"] = 0,
				["abiSound"] = "",
				["icon"] = true,
				["height"] = 32,
				["abiTimeLeft"] = 0,
				["abiAlphaPulse"] = 0,
				["spellIDs"] = "1079",
				["ids"] = {
					1079, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 0,
				["perso"] = true,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["positiony"] = 0,
			}, -- [6]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0.4470588235294117,
					["b"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Rugissement démoralisant", -- [1]
					"Cri démoralisant", -- [2]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 99,
				["abiSpelltext"] = "Rugissement démoralisant",
				["timerbar"] = 0,
				["abiSound"] = "",
				["icon"] = true,
				["height"] = 32,
				["abiTimeLeft"] = 0,
				["abiAlphaPulse"] = 0,
				["spellIDs"] = "99;25203",
				["ids"] = {
					99, -- [1]
					25203, -- [2]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["positiony"] = 0,
			}, -- [7]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 0,
					["v"] = 1,
					["b"] = 0.1411764705882353,
				},
				["showcd"] = true,
				["names"] = {
					"Sonner", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 5211,
				["abiSpelltext"] = "Sonner",
				["icon"] = true,
				["abiSound"] = "",
				["timerbar"] = 0,
				["height"] = 32,
				["abiTimeLeft"] = 0,
				["abiAlphaPulse"] = 0,
				["spellIDs"] = "5211",
				["ids"] = {
					5211, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 0,
				["perso"] = true,
				["getUptime"] = false,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [8]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 8,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 0,
					["r"] = 1,
				},
				["showcd"] = true,
				["names"] = {
					"Rapidité du prédateur", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 69369,
				["abiSpelltext"] = "Rapidité du prédateur",
				["timerbar"] = 2,
				["abiSound"] = "",
				["icon"] = false,
				["sType"] = "Buff",
				["getUptime"] = false,
				["abiAlphaPulse"] = 0,
				["spellIDs"] = "69369",
				["ids"] = {
					69369, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					true, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["abiTimeLeft"] = 0,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["positiony"] = 0,
			}, -- [9]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 10,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0.8862745098039215,
					["b"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Pierre runique de Mjolnir", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 3.495999999999185,
				["abiSpellId"] = 65019,
				["abiSpelltext"] = "Pierre runique de Mjolnir",
				["timerbar"] = 2,
				["abiSound"] = "Sound\\Spells\\DirectDamage\\HolyImpactDDHigh.wav",
				["icon"] = false,
				["height"] = 32,
				["abiTimeLeft"] = 3.479999999239226,
				["abiAlphaPulse"] = 0,
				["spellIDs"] = "65019",
				["ids"] = {
					65019, -- [1]
				},
				["strongcheck"] = true,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 45,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 20.05400000000373,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 43831.995,
				["positiony"] = 0,
			}, -- [10]
			{
				["spellIDs"] = "49016",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Hystérie", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 49016,
				["abiSpelltext"] = "Hystérie",
				["timerbar"] = 2,
				["abiSound"] = "Sound\\Spells\\DirectDamage\\HolyImpactDDHigh.wav",
				["icon"] = false,
				["height"] = 32,
				["abiTimeLeft"] = 0,
				["abiAlphaPulse"] = 0,
				[""] = true,
				["ids"] = {
					49016, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["positiony"] = 0,
			}, -- [11]
			{
				["spellIDs"] = "50334",
				["abiStack"] = 0,
				["abiDuration"] = 15,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 0.5411764705882353,
					["r"] = 1,
				},
				["showcd"] = true,
				["names"] = {
					"Berserk", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0.006000000001222361,
				["abiSpellId"] = 50334,
				["abiSpelltext"] = "Berserk",
				["timerbar"] = 2,
				["abiSound"] = "",
				["icon"] = false,
				["height"] = 32,
				["abiTimeLeft"] = 0,
				["abiAlphaPulse"] = 0,
				[""] = true,
				["ids"] = {
					50334, -- [1]
				},
				["strongcheck"] = true,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["positiony"] = 0,
			}, -- [12]
			{
				["spellIDs"] = "50213",
				["abiStack"] = 0,
				["abiDuration"] = 6,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0.5764705882352941,
					["v"] = 1,
					["r"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Fureur du tigre", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 50213,
				["combo"] = false,
				["timerbar"] = 2,
				["abiSound"] = "",
				["icon"] = false,
				["height"] = 32,
				["abiTimeLeft"] = 0,
				["abiAlphaPulse"] = 0,
				["abiSpelltext"] = "Fureur du tigre",
				["ids"] = {
					50213, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				[""] = true,
			}, -- [13]
			{
				["spellIDs"] = "22812",
				["abiStack"] = 0,
				["abiDuration"] = 12,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 0,
					["v"] = 1,
					["b"] = 0.6039215686274509,
				},
				["showcd"] = true,
				["names"] = {
					"Ecorce", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 22812,
				["abiSpelltext"] = "Ecorce",
				["timerbar"] = 2,
				["icon"] = false,
				["abiSound"] = "",
				["height"] = 32,
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 0,
				["ids"] = {
					22812, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 23,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [14]
		},
		["ooc"] = {
			["spell"] = 12536,
			["positiony"] = -6.173960587476472,
			["enable"] = true,
			["scaleMin"] = 1,
			["width"] = "650",
			["textureOff"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
			["speed"] = 0.09999999403953552,
			["scaleMax"] = 0.1,
			["textureOn"] = "Interface\\AddOns\\DroodFocus\\datas\\ooc.tga",
			["height"] = "150",
			["positionx"] = 68.42249882732983,
			["mode"] = "ADD",
			["level"] = 10,
		},
		["anchor5"] = {
			["visible"] = true,
			["positiony"] = 370.5,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "INFOS",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 405,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["cooldown"] = {
			["offsety"] = -56,
			["positiony"] = -1.000137314198355,
			["enable"] = true,
			["alpha"] = 0.8,
			["width"] = 56,
			["offsetx"] = 0,
			["height"] = 56,
			["positionx"] = 199.9999970197678,
			["level"] = 5,
			["mode"] = "BLEND",
		},
		["anchor2"] = {
			["visible"] = true,
			["positiony"] = 348.75,
			["scale"] = 0.85,
			["width"] = 32,
			["info"] = "ICONS",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 674.25,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["cursorspeed"] = 30,
		["alert"] = {
			["texture1"] = "Interface\\AddOns\\DroodFocus\\datas\\alertBehind.tga",
			["positiony"] = 96.99557596109207,
			["enable"] = true,
			["texture2"] = "Interface\\AddOns\\DroodFocus\\datas\\alertRange.tga",
			["width"] = "96",
			["texture3"] = "Interface\\AddOns\\DroodFocus\\datas\\alertSkull.tga",
			["height"] = "96",
			["level"] = 5,
			["mode"] = "BLEND",
			["positionx"] = 72.82351202531481,
		},
		["anchor1"] = {
			["visible"] = true,
			["positiony"] = 314.75,
			["scale"] = 0.85,
			["width"] = 32,
			["info"] = "UI",
			["positionx"] = 672,
			["height"] = 32,
			["level"] = 1,
			["mode"] = "BLEND",
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
	}, -- [1]
	--******************************************************************************************************
	--** FIN DEFAULT CONFIG
	--******************************************************************************************************
	{
		["configversion"] = "400",
		["MiniMapAngle"] = 215.8160744865155,
		["portrait"] = {
			["textures"] = {
				"Interface\\AddOns\\DroodFocus\\datas\\empty.tga", -- [1]
				"Interface\\AddOns\\DroodFocus\\datas\\bearform.tga", -- [2]
				"Interface\\AddOns\\DroodFocus\\datas\\aquaform.tga", -- [3]
				"Interface\\AddOns\\DroodFocus\\datas\\catform.tga", -- [4]
				"Interface\\AddOns\\DroodFocus\\datas\\travelform.tga", -- [5]
				"Interface\\AddOns\\DroodFocus\\datas\\moonkinform.tga", -- [6]
				"Interface\\AddOns\\DroodFocus\\datas\\flightform.tga", -- [7]
			},
			["height"] = "64",
			["positionx"] = 34,
			["positiony"] = -31.6851857576691,
			["enable"] = true,
			["level"] = 2,
			["mode"] = "BLEND",
			["width"] = "64",
		},
		["combo"] = {
			["angleB"] = 335,
			["offsety"] = 0,
			["positiony"] = -51.37939145623099,
			["enable"] = true,
			["form"] = {
				false, -- [1]
				true, -- [2]
				false, -- [3]
				true, -- [4]
				false, -- [5]
				false, -- [6]
				false, -- [7]
			},
			["angleA"] = 164,
			["width"] = 20,
			["positionx"] = 52.97583875375148,
			["ptype"] = 2,
			["rayon"] = 37,
			["offsetx"] = 19,
			["height"] = 20,
			["level"] = 5,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\combo2.tga",
			["mode"] = "BLEND",
		},
		["powerbar"] = {
			["fontSize"] = 10,
			["positiony"] = "-43.25",
			["enable"] = true,
			["showSpark"] = true,
			["borderSize"] = 0,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar2.tga",
			["colorDef"] = {
				["a"] = 1,
				["r"] = 0.5,
				["v"] = 0.5,
				["b"] = 0.5,
			},
			["textAlign"] = "RIGHT",
			["textx"] = -4,
			["positionx"] = "99",
			["height"] = "18",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["border"] = true,
			["colorMana"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 1,
			},
			["enableArrows"] = true,
			["arrows"] = {
				33983, -- [1]
				5221, -- [2]
				80, -- [3]
				0, -- [4]
			},
			["width"] = "119",
			["showText"] = true,
			["colorRage"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["orientation"] = "HORIZONTAL",
			["texty"] = -1.5,
			["colorNrj"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 0,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["alert"] = {
			["texture1"] = "Interface\\AddOns\\DroodFocus\\datas\\alertBehind.tga",
			["positiony"] = -30.99271899703874,
			["enable"] = true,
			["texture2"] = "Interface\\AddOns\\DroodFocus\\datas\\alertRange.tga",
			["width"] = "64",
			["texture3"] = "Interface\\AddOns\\DroodFocus\\datas\\alertSkull.tga",
			["height"] = "64",
			["level"] = 5,
			["mode"] = "BLEND",
			["positionx"] = 35.21524791797145,
		},
		["threatbar"] = {
			["fontSize"] = 8,
			["positiony"] = -73.75,
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["border"] = true,
			["borderSize"] = 0,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar2.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["enable"] = true,
			["width"] = "119",
			["textx"] = 1.5,
			["texty"] = 1,
			["showText"] = true,
			["height"] = "10",
			["orientation"] = "HORIZONTAL",
			["positionx"] = "99",
			["textAlign"] = "LEFT",
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["gridSizeX"] = 0.25,
		["targetbar"] = {
			["fontSize"] = 8,
			["positiony"] = "-61.5",
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0.75,
				["b"] = 0,
			},
			["border"] = true,
			["borderSize"] = 0,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar2.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["enable"] = true,
			["width"] = "119",
			["textx"] = 0,
			["texty"] = -0.5,
			["showText"] = true,
			["height"] = "10",
			["orientation"] = "HORIZONTAL",
			["textAlign"] = "CENTER",
			["positionx"] = "99",
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["cursorspeed"] = 30,
		["alignToGrid"] = true,
		["anchor6"] = {
			["visible"] = true,
			["positiony"] = 237.75,
			["scale"] = 1,
			["width"] = "32",
			["info"] = "CD",
			["positionx"] = 588.5,
			["height"] = "32",
			["level"] = 10,
			["mode"] = "BLEND",
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["infos"] = {
			["fontSize"] = 12,
			["enable"] = false,
			["infolines"] = "PowerAttack: #meleeAP*Crit: #meleeCrit*Haste: #meleeHaste*ArPen: #armPen",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_typewriter.ttf",
			["level"] = 3,
			["backColor"] = {
				["a"] = 0,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["gps"] = {
			["fontSize"] = 16,
			["offsety"] = -22,
			["positiony"] = 191.0000009685755,
			["enable"] = true,
			["alpha"] = 1,
			["width"] = "48",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf",
			["offsetx"] = 0,
			["positionx"] = 302.0000031292438,
			["height"] = "36",
			["mode"] = "BLEND",
			["level"] = 10,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["timerbar"] = {
			["orderByTime"] = false,
			["enable"] = false,
			["font1Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["border"] = true,
			["borderSize"] = 1,
			["cdColor"] = {
				["a"] = 0.8,
				["r"] = 1,
				["v"] = 1,
				["b"] = 0,
			},
			["showTimeLine"] = true,
			["inactiveAlpha"] = 0.3,
			["level"] = 4,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["activeAlphaCD"] = 1,
			["font2Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf",
			["activeAlpha"] = 1,
			["growup"] = false,
			["timeline"] = 14,
			["font1Size"] = 10,
			["width"] = "180",
			["font2Size"] = 15,
			["textsoffsets"] = {
				{
					["offsety"] = 1,
					["offsetx"] = 1,
				}, -- [1]
				{
					["offsety"] = 1,
					["offsetx"] = 0,
				}, -- [2]
			},
			["cdoffsety"] = 2,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["height"] = "20",
			["cdoffsetx"] = 0,
			["showSpark"] = true,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["timelines"] = {
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
			["enable"] = true,
			["activeAlpha"] = 0.1,
			["width"] = 1,
		},
		["anchor1"] = {
			["visible"] = true,
			["positiony"] = 287,
			["scale"] = 1.2,
			["width"] = "256",
			["info"] = "UI",
			["positionx"] = 326.25,
			["height"] = "128",
			["level"] = 4,
			["mode"] = "BLEND",
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\UI_texture1.tga",
		},
		["configname"] = "(BuildIn) WoW",
		["activeForms"] = {
			false, -- [1]
			true, -- [2]
			true, -- [3]
			true, -- [4]
			true, -- [5]
			false, -- [6]
			false, -- [7]
		},
		["anchor5"] = {
			["visible"] = true,
			["positiony"] = 429.25,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "INFOS",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 197.75,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["anchor3"] = {
			["visible"] = true,
			["positiony"] = 353.75,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "TIMERBARS 1",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 142.5,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["manabar"] = {
			["fontSize"] = 12,
			["positiony"] = 140,
			["color"] = {
				["r"] = 0,
				["v"] = 0,
				["b"] = 1,
			},
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar2.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textx"] = -7,
			["width"] = 192,
			["enable"] = false,
			["texty"] = 1,
			["showText"] = true,
			["orientation"] = "HORIZONTAL",
			["height"] = 18,
			["textAlign"] = "RIGHT",
			["positionx"] = 8,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["spells"] = {
			{
				["spellIDs"] = "52610",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0.2078431372549019,
					["v"] = 1,
					["r"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Rugissement sauvage", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Rugissement sauvage",
				["timerbar"] = 1,
				["positiony"] = 0,
				["icon"] = true,
				[""] = true,
				["sType"] = "Buff",
				["abiAlphaPulse"] = 0,
				["getUptime"] = true,
				["ids"] = {
					52610, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 0,
				["perso"] = false,
				["abiTimeLeft"] = 0,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 52610,
			}, -- [1]
			{
				["spellIDs"] = "16857;770;33602",
				["abiStack"] = 0,
				["abiDuration"] = 300,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 1,
					["r"] = 0.9803921568627451,
				},
				["showcd"] = true,
				["names"] = {
					"Lucioles (farouche)", -- [1]
					"Lucioles", -- [2]
					"Lucioles améliorées", -- [3]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 276.125,
				["abiSpelltext"] = "Lucioles (farouche)",
				["icon"] = true,
				["positiony"] = 0,
				["timerbar"] = 1,
				[""] = true,
				["sType"] = "Debuff",
				["abiAlphaPulse"] = 0,
				["getUptime"] = false,
				["ids"] = {
					16857, -- [1]
					770, -- [2]
					33602, -- [3]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["abiTimeLeft"] = 276.1079999990761,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 10005.089,
				["abiSpellId"] = 16857,
			}, -- [2]
			{
				["spellIDs"] = "33983;33987;46854",
				["abiStack"] = 0,
				["abiDuration"] = 12,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 0.4117647058823529,
					["r"] = 1,
				},
				["showcd"] = true,
				["names"] = {
					"Mutilation (félin)", -- [1]
					"Mutilation (ours)", -- [2]
					"Traumatisme", -- [3]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 4.180000000000291,
				["abiSpelltext"] = "Mutilation (ours)",
				["icon"] = true,
				["positiony"] = 0,
				["timerbar"] = 1,
				[""] = true,
				["sType"] = "Debuff",
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 4.162999999076419,
				["ids"] = {
					33983, -- [1]
					33987, -- [2]
					46854, -- [3]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = true,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 10007.536,
				["abiSpellId"] = 33987,
			}, -- [3]
			{
				["spellIDs"] = "1822",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Griffure", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Griffure",
				["icon"] = true,
				["positiony"] = 0,
				["timerbar"] = 1,
				[""] = true,
				["height"] = 32,
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 0,
				["ids"] = {
					1822, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 0,
				["perso"] = true,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 1822,
			}, -- [4]
			{
				["spellIDs"] = "33745",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = true,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Lacérer", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Lacérer",
				["icon"] = true,
				["positiony"] = 0,
				["timerbar"] = 1,
				[""] = true,
				["height"] = 32,
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 0,
				["ids"] = {
					33745, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 0,
				["perso"] = true,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 33745,
			}, -- [5]
			{
				["spellIDs"] = "1079",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Déchirure", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Déchirure",
				["timerbar"] = 1,
				["combo"] = false,
				["icon"] = true,
				[""] = true,
				["height"] = 32,
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 0,
				["ids"] = {
					1079, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 0,
				["perso"] = true,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 1079,
			}, -- [6]
			{
				["spellIDs"] = "99;25203",
				["abiStack"] = 0,
				["abiDuration"] = 30,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 0.4470588235294117,
					["r"] = 1,
				},
				["showcd"] = true,
				["names"] = {
					"Rugissement démoralisant", -- [1]
					"Cri démoralisant", -- [2]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 12.54299999999967,
				["abiSpelltext"] = "Rugissement démoralisant",
				["icon"] = true,
				["positiony"] = 0,
				["timerbar"] = 1,
				[""] = true,
				["sType"] = "Debuff",
				["abiAlphaPulse"] = 0,
				["getUptime"] = false,
				["ids"] = {
					99, -- [1]
					25203, -- [2]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["abiTimeLeft"] = 12.52599999907579,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 10015.972,
				["abiSpellId"] = 99,
			}, -- [7]
			{
				["spellIDs"] = "50334",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["r"] = 0,
					["v"] = 1,
					["b"] = 0.5529411764705883,
				},
				["showcd"] = true,
				["names"] = {
					"Berserk", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Berserk",
				["icon"] = false,
				["positiony"] = 0,
				["timerbar"] = 2,
				[""] = true,
				["height"] = 32,
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 0,
				["ids"] = {
					50334, -- [1]
				},
				["strongcheck"] = true,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 50334,
			}, -- [8]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["r"] = 0,
					["v"] = 1,
					["b"] = 0.5764705882352941,
				},
				["showcd"] = true,
				["names"] = {
					"Fureur du tigre", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Fureur du tigre",
				["icon"] = false,
				["positiony"] = 0,
				["timerbar"] = 2,
				["spellIDs"] = "50213",
				["height"] = 32,
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 0,
				["ids"] = {
					50213, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 50213,
			}, -- [9]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0.6039215686274509,
					["v"] = 1,
					["r"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Ecorce", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Ecorce",
				["icon"] = false,
				["positiony"] = 0,
				["timerbar"] = 2,
				["spellIDs"] = "22812",
				["height"] = 32,
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 0,
				["ids"] = {
					22812, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 22812,
			}, -- [10]
		},
		["icons"] = {
			["mode"] = "BLEND",
			["fontSize"] = 11,
			["orderByTime"] = true,
			["textsoffsets"] = {
				{
					["offsety"] = 0,
					["offsetx"] = 1,
				}, -- [1]
				{
					["offsety"] = 1,
					["offsetx"] = 1,
				}, -- [2]
				{
					["offsety"] = 1,
					["offsetx"] = 1,
				}, -- [3]
			},
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["level"] = 10,
			["activeAlpha"] = 1,
			["width"] = 30,
			["speed"] = 4,
			["inactiveAlpha"] = 0.3,
			["enable"] = true,
			["growup"] = false,
			["height"] = 30,
			["colonne"] = 5,
			["automatic"] = true,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["blood"] = {
			["persistence"] = 7,
			["enable"] = true,
			["mode"] = "BLEND",
			["level"] = 1,
			["size"] = 0.7,
		},
		["anchor4"] = {
			["visible"] = true,
			["positiony"] = 232.5,
			["scale"] = 0.699999988079071,
			["width"] = 32,
			["info"] = "TIMERBARS 2",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 172.25,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["ooc"] = {
			["spell"] = 12536,
			["positiony"] = -37,
			["enable"] = true,
			["scaleMin"] = 1,
			["width"] = "512",
			["textureOff"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
			["speed"] = 0.1299999952316284,
			["scaleMax"] = 0.1000000014901161,
			["textureOn"] = "Interface\\AddOns\\DroodFocus\\datas\\ooc.tga",
			["height"] = "128",
			["mode"] = "ADD",
			["level"] = 6,
			["positionx"] = 120,
		},
		["healthbar"] = {
			["fontSize"] = 12,
			["positiony"] = 40,
			["enable"] = false,
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["colorBad"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar2.tga",
			["colorAverage"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0.5,
				["b"] = 0,
			},
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["level"] = 2,
			["textx"] = -7,
			["width"] = 192,
			["positionx"] = 8,
			["height"] = 18,
			["showText"] = true,
			["texty"] = 1,
			["orientation"] = "HORIZONTAL",
			["textAlign"] = "RIGHT",
			["colorGood"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 1,
				["b"] = 0,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["gridSizeY"] = 0.25,
		["anchor2"] = {
			["visible"] = true,
			["positiony"] = 193,
			["scale"] = 1.149999976158142,
			["width"] = 32,
			["info"] = "ICONS",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 433.5,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["sound"] = {
			["enable"] = true,
			["soundfiles"] = {
				"", -- [1]
				"Sound\\Spells\\Druid_Pounce.wav", -- [2]
				"", -- [3]
				"Sound\\Spells\\Druid_FeralCharge.wav", -- [4]
				"", -- [5]
				"", -- [6]
				"", -- [7]
			},
		},
		["cooldown"] = {
			["offsety"] = -44,
			["positiony"] = -36.99996893107937,
			["enable"] = true,
			["alpha"] = 0.75,
			["width"] = 44,
			["mode"] = "BLEND",
			["height"] = 44,
			["offsetx"] = 0,
			["level"] = 5,
			["positionx"] = 216.0000196695325,
		},
		["inCombat"] = false,
	}, -- [1]
	{
		["configversion"] = "400",
		["MiniMapAngle"] = 215.8160744865155,
		["portrait"] = {
			["textures"] = {
				"Interface\\AddOns\\DroodFocus\\datas\\empty.tga", -- [1]
				"Interface\\AddOns\\DroodFocus\\datas\\bearform.tga", -- [2]
				"Interface\\AddOns\\DroodFocus\\datas\\aquaform.tga", -- [3]
				"Interface\\AddOns\\DroodFocus\\datas\\catform.tga", -- [4]
				"Interface\\AddOns\\DroodFocus\\datas\\travelform.tga", -- [5]
				"Interface\\AddOns\\DroodFocus\\datas\\moonkinform.tga", -- [6]
				"Interface\\AddOns\\DroodFocus\\datas\\flightform.tga", -- [7]
			},
			["height"] = "64",
			["positionx"] = 34,
			["positiony"] = -31.6851857576691,
			["enable"] = true,
			["level"] = 2,
			["mode"] = "BLEND",
			["width"] = "64",
		},
		["combo"] = {
			["angleB"] = 0,
			["offsety"] = 0,
			["positiony"] = 9,
			["enable"] = true,
			["form"] = {
				false, -- [1]
				true, -- [2]
				false, -- [3]
				true, -- [4]
				false, -- [5]
				false, -- [6]
				false, -- [7]
			},
			["angleA"] = 37,
			["width"] = 22,
			["positionx"] = 59,
			["ptype"] = 2,
			["rayon"] = 177,
			["offsetx"] = 19,
			["height"] = 22,
			["level"] = 5,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\combo2.tga",
			["mode"] = "BLEND",
		},
		["powerbar"] = {
			["fontSize"] = 10,
			["positiony"] = "-43.25",
			["enable"] = true,
			["showSpark"] = true,
			["borderSize"] = 0,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar2.tga",
			["colorDef"] = {
				["a"] = 1,
				["r"] = 0.5,
				["v"] = 0.5,
				["b"] = 0.5,
			},
			["textAlign"] = "RIGHT",
			["textx"] = -5.5,
			["positionx"] = "99",
			["height"] = "18",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["border"] = true,
			["colorMana"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 1,
			},
			["enableArrows"] = true,
			["arrows"] = {
				33983, -- [1]
				5221, -- [2]
				80, -- [3]
				0, -- [4]
			},
			["width"] = "119",
			["showText"] = true,
			["colorRage"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["orientation"] = "HORIZONTAL",
			["texty"] = 0,
			["colorNrj"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 0,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["alert"] = {
			["texture1"] = "Interface\\AddOns\\DroodFocus\\datas\\alertBehind.tga",
			["positiony"] = -52.73155375681273,
			["enable"] = true,
			["texture2"] = "Interface\\AddOns\\DroodFocus\\datas\\alertRange.tga",
			["width"] = "28",
			["texture3"] = "Interface\\AddOns\\DroodFocus\\datas\\alertSkull.tga",
			["height"] = "28",
			["level"] = 5,
			["mode"] = "BLEND",
			["positionx"] = 13.47612207799284,
		},
		["threatbar"] = {
			["fontSize"] = 8,
			["positiony"] = "-73",
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["border"] = true,
			["borderSize"] = 0,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar2.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["enable"] = true,
			["width"] = "119",
			["textx"] = 3,
			["texty"] = 1,
			["showText"] = true,
			["height"] = "10",
			["orientation"] = "HORIZONTAL",
			["positionx"] = "99",
			["textAlign"] = "LEFT",
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["gridSizeX"] = 0.25,
		["targetbar"] = {
			["fontSize"] = 8,
			["positiony"] = "-61.5",
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0.75,
				["b"] = 0,
			},
			["border"] = true,
			["borderSize"] = 0,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar2.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["enable"] = true,
			["width"] = "119",
			["textx"] = 0,
			["texty"] = 1,
			["showText"] = true,
			["height"] = "10",
			["orientation"] = "HORIZONTAL",
			["textAlign"] = "CENTER",
			["positionx"] = "99",
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["cursorspeed"] = 30,
		["alignToGrid"] = true,
		["anchor6"] = {
			["visible"] = true,
			["positiony"] = 216,
			["scale"] = 1,
			["width"] = "32",
			["info"] = "CD",
			["positionx"] = 316.5,
			["height"] = "32",
			["level"] = 10,
			["mode"] = "BLEND",
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["infos"] = {
			["fontSize"] = 12,
			["enable"] = false,
			["infolines"] = "PowerAttack: #meleeAP*Crit: #meleeCrit*Haste: #meleeHaste*ArPen: #armPen",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_typewriter.ttf",
			["level"] = 3,
			["backColor"] = {
				["a"] = 0,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["gps"] = {
			["fontSize"] = 16,
			["offsety"] = -22,
			["positiony"] = 187.9999704957013,
			["enable"] = true,
			["alpha"] = 1,
			["width"] = "48",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf",
			["offsetx"] = 0,
			["positionx"] = 303.9999725818638,
			["height"] = "36",
			["mode"] = "BLEND",
			["level"] = 10,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["timerbar"] = {
			["orderByTime"] = false,
			["enable"] = false,
			["font1Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["border"] = true,
			["borderSize"] = 1,
			["cdColor"] = {
				["a"] = 0.8,
				["r"] = 1,
				["v"] = 1,
				["b"] = 0,
			},
			["showTimeLine"] = true,
			["inactiveAlpha"] = 0.3,
			["level"] = 4,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["activeAlphaCD"] = 1,
			["font2Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf",
			["activeAlpha"] = 1,
			["growup"] = false,
			["timeline"] = 14,
			["font1Size"] = 10,
			["width"] = "180",
			["font2Size"] = 15,
			["textsoffsets"] = {
				{
					["offsety"] = 1,
					["offsetx"] = 1,
				}, -- [1]
				{
					["offsety"] = 1,
					["offsetx"] = 0,
				}, -- [2]
			},
			["cdoffsety"] = 2,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["height"] = "20",
			["cdoffsetx"] = 0,
			["showSpark"] = true,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["timelines"] = {
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
			["enable"] = true,
			["activeAlpha"] = 0.1,
			["width"] = 1,
		},
		["anchor1"] = {
			["visible"] = true,
			["positiony"] = 273,
			["scale"] = 1.15,
			["width"] = "256",
			["info"] = "UI",
			["positionx"] = 336.75,
			["height"] = "128",
			["level"] = 4,
			["mode"] = "BLEND",
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\UI_texture2.tga",
		},
		["configname"] = "(BuildIn) WoW version 2",
		["activeForms"] = {
			false, -- [1]
			true, -- [2]
			true, -- [3]
			true, -- [4]
			true, -- [5]
			false, -- [6]
			false, -- [7]
		},
		["anchor5"] = {
			["visible"] = true,
			["positiony"] = 184.75,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "INFOS",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 117.25,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["anchor3"] = {
			["visible"] = true,
			["positiony"] = 397.75,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "TIMERBARS 1",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 100.75,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["manabar"] = {
			["fontSize"] = 12,
			["positiony"] = 140,
			["color"] = {
				["r"] = 0,
				["v"] = 0,
				["b"] = 1,
			},
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar2.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textx"] = -7,
			["width"] = 192,
			["enable"] = false,
			["texty"] = 1,
			["showText"] = true,
			["orientation"] = "HORIZONTAL",
			["height"] = 18,
			["textAlign"] = "RIGHT",
			["positionx"] = 8,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["spells"] = {
			{
				["spellIDs"] = "52610",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0.2078431372549019,
					["v"] = 1,
					["r"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Rugissement sauvage", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Rugissement sauvage",
				["timerbar"] = 1,
				["positiony"] = 0,
				["icon"] = true,
				[""] = true,
				["sType"] = "Buff",
				["abiAlphaPulse"] = 0,
				["getUptime"] = true,
				["ids"] = {
					52610, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 0,
				["perso"] = false,
				["abiTimeLeft"] = 0,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 52610,
			}, -- [1]
			{
				["spellIDs"] = "16857;770;33602",
				["abiStack"] = 0,
				["abiDuration"] = 300,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 1,
					["r"] = 0.9803921568627451,
				},
				["showcd"] = true,
				["names"] = {
					"Lucioles (farouche)", -- [1]
					"Lucioles", -- [2]
					"Lucioles améliorées", -- [3]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 272.0750000000007,
				["abiSpelltext"] = "Lucioles (farouche)",
				["icon"] = true,
				["positiony"] = 0,
				["timerbar"] = 1,
				[""] = true,
				["sType"] = "Debuff",
				["abiAlphaPulse"] = 0,
				["getUptime"] = false,
				["ids"] = {
					16857, -- [1]
					770, -- [2]
					33602, -- [3]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["abiTimeLeft"] = 272.0589999992408,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 10039.217,
				["abiSpellId"] = 16857,
			}, -- [2]
			{
				["spellIDs"] = "33983;33987;46854",
				["abiStack"] = 0,
				["abiDuration"] = 12,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 0.4117647058823529,
					["r"] = 1,
				},
				["showcd"] = true,
				["names"] = {
					"Mutilation (félin)", -- [1]
					"Mutilation (ours)", -- [2]
					"Traumatisme", -- [3]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 7.382999999999811,
				["abiSpelltext"] = "Mutilation (ours)",
				["icon"] = true,
				["positiony"] = 0,
				["timerbar"] = 1,
				[""] = true,
				["sType"] = "Debuff",
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 7.366999999239852,
				["ids"] = {
					33983, -- [1]
					33987, -- [2]
					46854, -- [3]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 20.82400000000052,
				["perso"] = false,
				["getUptime"] = true,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 10062.556,
				["abiSpellId"] = 33987,
			}, -- [3]
			{
				["spellIDs"] = "1822",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Griffure", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Griffure",
				["icon"] = true,
				["positiony"] = 0,
				["timerbar"] = 1,
				[""] = true,
				["height"] = 32,
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 0,
				["ids"] = {
					1822, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 0,
				["perso"] = true,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 1822,
			}, -- [4]
			{
				["spellIDs"] = "33745",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = true,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Lacérer", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Lacérer",
				["icon"] = true,
				["positiony"] = 0,
				["timerbar"] = 1,
				[""] = true,
				["height"] = 32,
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 0,
				["ids"] = {
					33745, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 0,
				["perso"] = true,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 33745,
			}, -- [5]
			{
				["spellIDs"] = "1079",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Déchirure", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Déchirure",
				["timerbar"] = 1,
				["combo"] = false,
				["icon"] = true,
				[""] = true,
				["height"] = 32,
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 0,
				["ids"] = {
					1079, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 0,
				["perso"] = true,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 1079,
			}, -- [6]
			{
				["spellIDs"] = "99;25203",
				["abiStack"] = 0,
				["abiDuration"] = 30,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 0.4470588235294117,
					["r"] = 1,
				},
				["showcd"] = true,
				["names"] = {
					"Rugissement démoralisant", -- [1]
					"Cri démoralisant", -- [2]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0.07200000000011642,
				["abiSpelltext"] = "Rugissement démoralisant",
				["icon"] = true,
				["positiony"] = 0,
				["timerbar"] = 1,
				[""] = true,
				["sType"] = "Debuff",
				["abiAlphaPulse"] = 0,
				["getUptime"] = false,
				["ids"] = {
					99, -- [1]
					25203, -- [2]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 34.40899999999965,
				["perso"] = false,
				["abiTimeLeft"] = 0,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 99,
			}, -- [7]
			{
				["spellIDs"] = "50334",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["r"] = 0,
					["v"] = 1,
					["b"] = 0.5529411764705883,
				},
				["showcd"] = true,
				["names"] = {
					"Berserk", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Berserk",
				["icon"] = false,
				["positiony"] = 0,
				["timerbar"] = 2,
				[""] = true,
				["height"] = 32,
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 0,
				["ids"] = {
					50334, -- [1]
				},
				["strongcheck"] = true,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 50334,
			}, -- [8]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["r"] = 0,
					["v"] = 1,
					["b"] = 0.5764705882352941,
				},
				["showcd"] = true,
				["names"] = {
					"Fureur du tigre", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Fureur du tigre",
				["icon"] = false,
				["positiony"] = 0,
				["timerbar"] = 2,
				["spellIDs"] = "50213",
				["height"] = 32,
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 0,
				["ids"] = {
					50213, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 50213,
			}, -- [9]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0.6039215686274509,
					["v"] = 1,
					["r"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Ecorce", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Ecorce",
				["icon"] = false,
				["positiony"] = 0,
				["timerbar"] = 2,
				["spellIDs"] = "22812",
				["height"] = 32,
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 0,
				["ids"] = {
					22812, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 22812,
			}, -- [10]
		},
		["icons"] = {
			["mode"] = "BLEND",
			["fontSize"] = 11,
			["orderByTime"] = true,
			["textsoffsets"] = {
				{
					["offsety"] = 0,
					["offsetx"] = 1,
				}, -- [1]
				{
					["offsety"] = 2,
					["offsetx"] = 0,
				}, -- [2]
				{
					["offsety"] = 3,
					["offsetx"] = 1,
				}, -- [3]
			},
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["level"] = 10,
			["activeAlpha"] = 1,
			["width"] = 30,
			["speed"] = 4,
			["inactiveAlpha"] = 0.300000011920929,
			["enable"] = true,
			["growup"] = false,
			["height"] = 30,
			["colonne"] = 5,
			["automatic"] = true,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["blood"] = {
			["persistence"] = 7,
			["enable"] = true,
			["mode"] = "BLEND",
			["level"] = 1,
			["size"] = 0.8,
		},
		["anchor4"] = {
			["visible"] = true,
			["positiony"] = 281,
			["scale"] = 0.699999988079071,
			["width"] = 32,
			["info"] = "TIMERBARS 2",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 129.25,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["ooc"] = {
			["spell"] = 12536,
			["positiony"] = -55.94141839648199,
			["enable"] = true,
			["scaleMin"] = 0.699999988079071,
			["width"] = "256",
			["textureOff"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
			["speed"] = 0.04999999701976776,
			["scaleMax"] = 0.2000000029802322,
			["textureOn"] = "Interface\\AddOns\\DroodFocus\\datas\\ooc.tga",
			["height"] = "256",
			["mode"] = "ADD",
			["level"] = 6,
			["positionx"] = 13.12168394550059,
		},
		["healthbar"] = {
			["fontSize"] = 12,
			["positiony"] = 40,
			["enable"] = false,
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["colorBad"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar2.tga",
			["colorAverage"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0.5,
				["b"] = 0,
			},
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["level"] = 2,
			["textx"] = -7,
			["width"] = 192,
			["positionx"] = 8,
			["height"] = 18,
			["showText"] = true,
			["texty"] = 1,
			["orientation"] = "HORIZONTAL",
			["textAlign"] = "RIGHT",
			["colorGood"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 1,
				["b"] = 0,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["gridSizeY"] = 0.25,
		["anchor2"] = {
			["visible"] = true,
			["positiony"] = 268.25,
			["scale"] = 0.949999988079071,
			["width"] = 32,
			["info"] = "ICONS",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 440.75,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["sound"] = {
			["enable"] = true,
			["soundfiles"] = {
				"", -- [1]
				"Sound\\Spells\\Druid_Pounce.wav", -- [2]
				"", -- [3]
				"Sound\\Spells\\Druid_FeralCharge.wav", -- [4]
				"", -- [5]
				"", -- [6]
				"", -- [7]
			},
		},
		["cooldown"] = {
			["offsety"] = -32,
			["positiony"] = -45.34814293332622,
			["enable"] = true,
			["alpha"] = 0.75,
			["width"] = 32,
			["mode"] = "BLEND",
			["height"] = 32,
			["offsetx"] = 0,
			["level"] = 5,
			["positionx"] = -21.087482406927,
		},
		["inCombat"] = false,
	}, -- [2]
	{
		["configversion"] = "400",
		["MiniMapAngle"] = 215.8160744865155,
		["portrait"] = {
			["textures"] = {
				"Interface\\AddOns\\DroodFocus\\datas\\empty.tga", -- [1]
				"Interface\\AddOns\\DroodFocus\\datas\\bearform.tga", -- [2]
				"Interface\\AddOns\\DroodFocus\\datas\\aquaform.tga", -- [3]
				"Interface\\AddOns\\DroodFocus\\datas\\catform.tga", -- [4]
				"Interface\\AddOns\\DroodFocus\\datas\\travelform.tga", -- [5]
				"Interface\\AddOns\\DroodFocus\\datas\\moonkinform.tga", -- [6]
				"Interface\\AddOns\\DroodFocus\\datas\\flightform.tga", -- [7]
			},
			["height"] = "48",
			["positionx"] = 1.72,
			["positiony"] = 0,
			["enable"] = true,
			["level"] = 5,
			["mode"] = "ADD",
			["width"] = "48",
		},
		["combo"] = {
			["angleB"] = 183,
			["offsety"] = 0,
			["positiony"] = -20,
			["enable"] = true,
			["form"] = {
				false, -- [1]
				true, -- [2]
				false, -- [3]
				true, -- [4]
				false, -- [5]
				false, -- [6]
				false, -- [7]
			},
			["angleA"] = 288,
			["width"] = 20,
			["positionx"] = 51.66293145777689,
			["ptype"] = 1,
			["rayon"] = 37,
			["offsetx"] = 20,
			["height"] = 20,
			["level"] = 3,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\combo.tga",
			["mode"] = "BLEND",
		},
		["powerbar"] = {
			["fontSize"] = 15,
			["positiony"] = "-18.5",
			["enable"] = true,
			["showSpark"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 1,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["colorDef"] = {
				["a"] = 1,
				["r"] = 0.5,
				["v"] = 0.5,
				["b"] = 0.5,
			},
			["textAlign"] = "BOTTOMRIGHT",
			["textx"] = -3.5,
			["positionx"] = "10",
			["height"] = 32,
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["border"] = true,
			["colorMana"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 1,
			},
			["enableArrows"] = true,
			["arrows"] = {
				33983, -- [1]
				5221, -- [2]
				80, -- [3]
				0, -- [4]
			},
			["width"] = 192,
			["showText"] = true,
			["colorRage"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["orientation"] = "HORIZONTAL",
			["texty"] = 2,
			["colorNrj"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 0,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["alert"] = {
			["texture1"] = "Interface\\AddOns\\DroodFocus\\datas\\alertBehind.tga",
			["positiony"] = 51.00009842216821,
			["enable"] = true,
			["texture2"] = "Interface\\AddOns\\DroodFocus\\datas\\alertRange.tga",
			["width"] = "64",
			["texture3"] = "Interface\\AddOns\\DroodFocus\\datas\\alertSkull.tga",
			["height"] = "64",
			["level"] = 5,
			["mode"] = "BLEND",
			["positionx"] = 73.99997600913082,
		},
		["threatbar"] = {
			["fontSize"] = 8,
			["positiony"] = -49.5,
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 3,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["enable"] = true,
			["width"] = 192,
			["textx"] = -7,
			["texty"] = 1,
			["showText"] = false,
			["height"] = "6",
			["orientation"] = "HORIZONTAL",
			["positionx"] = "10",
			["textAlign"] = "RIGHT",
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["gridSizeX"] = 0.25,
		["targetbar"] = {
			["fontSize"] = 11,
			["positiony"] = -6,
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0.75,
				["b"] = 0,
			},
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["enable"] = true,
			["width"] = 192,
			["textx"] = 0,
			["texty"] = 1.5,
			["showText"] = true,
			["height"] = "13",
			["orientation"] = "HORIZONTAL",
			["textAlign"] = "CENTER",
			["positionx"] = 10,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["cursorspeed"] = 30,
		["alignToGrid"] = true,
		["anchor6"] = {
			["visible"] = true,
			["positiony"] = 256,
			["scale"] = 1,
			["width"] = "32",
			["info"] = "CD",
			["positionx"] = 610.5,
			["height"] = "32",
			["level"] = 10,
			["mode"] = "BLEND",
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["infos"] = {
			["fontSize"] = 10,
			["enable"] = false,
			["infolines"] = "PowerAttack: #meleeAP*Crit: #meleeCrit*Haste: #meleeHaste*ArPen: #armPen",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_typewriter.ttf",
			["level"] = 20,
			["backColor"] = {
				["a"] = 0,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
			["textColor"] = {
				["a"] = 0.4600000381469727,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["gps"] = {
			["fontSize"] = 16,
			["offsety"] = -22,
			["positiony"] = 208.9998786300439,
			["enable"] = true,
			["alpha"] = 1,
			["width"] = "48",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf",
			["offsetx"] = 0,
			["positionx"] = 355.9999794363978,
			["height"] = "36",
			["mode"] = "BLEND",
			["level"] = 10,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["timerbar"] = {
			["orderByTime"] = true,
			["enable"] = true,
			["font1Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["border"] = true,
			["borderSize"] = 1,
			["cdColor"] = {
				["a"] = 0.8,
				["r"] = 1,
				["v"] = 1,
				["b"] = 0,
			},
			["showTimeLine"] = true,
			["inactiveAlpha"] = 0.3,
			["level"] = 4,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["activeAlphaCD"] = 1,
			["font2Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf",
			["activeAlpha"] = 1,
			["growup"] = true,
			["timeline"] = 14,
			["font1Size"] = 12,
			["width"] = 192,
			["font2Size"] = 20,
			["textsoffsets"] = {
				{
					["offsety"] = 2,
					["offsetx"] = 0,
				}, -- [1]
				{
					["offsety"] = 0,
					["offsetx"] = 2,
				}, -- [2]
			},
			["cdoffsety"] = 2,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["height"] = "20",
			["cdoffsetx"] = 0,
			["showSpark"] = true,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["timelines"] = {
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
			["enable"] = true,
			["activeAlpha"] = 0.1,
			["width"] = 1,
		},
		["anchor1"] = {
			["visible"] = true,
			["positiony"] = 257.5,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "UI",
			["positionx"] = 411,
			["height"] = 32,
			["level"] = 1,
			["mode"] = "BLEND",
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["configname"] = "(BuildIn) Timerbars",
		["activeForms"] = {
			false, -- [1]
			true, -- [2]
			true, -- [3]
			true, -- [4]
			true, -- [5]
			false, -- [6]
			false, -- [7]
		},
		["anchor5"] = {
			["visible"] = true,
			["positiony"] = 263.75,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "INFOS",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 679.5,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["anchor3"] = {
			["visible"] = true,
			["positiony"] = 211,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "TIMERBARS 1",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = "413",
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["manabar"] = {
			["fontSize"] = 12,
			["positiony"] = 140,
			["color"] = {
				["r"] = 0,
				["v"] = 0,
				["b"] = 1,
			},
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textx"] = -7,
			["width"] = 192,
			["enable"] = false,
			["texty"] = 1,
			["showText"] = true,
			["orientation"] = "HORIZONTAL",
			["height"] = 18,
			["textAlign"] = "RIGHT",
			["positionx"] = 8,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["spells"] = {
			{
				["spellIDs"] = "52610",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0.2078431372549019,
					["v"] = 1,
					["r"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Rugissement sauvage", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Rugissement sauvage",
				["timerbar"] = 1,
				["positiony"] = 0,
				["icon"] = true,
				[""] = true,
				["sType"] = "Buff",
				["abiAlphaPulse"] = 0,
				["getUptime"] = true,
				["ids"] = {
					52610, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 0,
				["perso"] = false,
				["abiTimeLeft"] = 0,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 52610,
			}, -- [1]
			{
				["spellIDs"] = "16857;770;33602",
				["abiStack"] = 0,
				["abiDuration"] = 300,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 1,
					["r"] = 0.9803921568627451,
				},
				["showcd"] = true,
				["names"] = {
					"Lucioles (farouche)", -- [1]
					"Lucioles", -- [2]
					"Lucioles améliorées", -- [3]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 276.1419999999998,
				["abiSpelltext"] = "Lucioles (farouche)",
				["icon"] = true,
				["positiony"] = 0,
				["timerbar"] = 1,
				[""] = true,
				["sType"] = "Debuff",
				["abiAlphaPulse"] = 0,
				["getUptime"] = false,
				["ids"] = {
					16857, -- [1]
					770, -- [2]
					33602, -- [3]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["abiTimeLeft"] = 276.124999999076,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 9969.76,
				["abiSpellId"] = 16857,
			}, -- [2]
			{
				["spellIDs"] = "33983;33987;46854",
				["abiStack"] = 0,
				["abiDuration"] = 12,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 0.4117647058823529,
					["r"] = 1,
				},
				["showcd"] = true,
				["names"] = {
					"Mutilation (félin)", -- [1]
					"Mutilation (ours)", -- [2]
					"Traumatisme", -- [3]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0.02900000000045111,
				["abiSpelltext"] = "Mutilation (ours)",
				["icon"] = true,
				["positiony"] = 0,
				["timerbar"] = 1,
				[""] = true,
				["sType"] = "Debuff",
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 0,
				["ids"] = {
					33983, -- [1]
					33987, -- [2]
					46854, -- [3]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 24.04099999999926,
				["perso"] = false,
				["getUptime"] = true,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 33987,
			}, -- [3]
			{
				["spellIDs"] = "1822",
				["abiStack"] = 0,
				["abiDuration"] = 9,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Griffure", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0.03000000000065484,
				["abiSpelltext"] = "Griffure",
				["icon"] = true,
				["positiony"] = 0,
				["timerbar"] = 1,
				[""] = true,
				["height"] = 32,
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 0,
				["ids"] = {
					1822, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 0,
				["perso"] = true,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 1822,
			}, -- [4]
			{
				["spellIDs"] = "33745",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = true,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Lacérer", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Lacérer",
				["icon"] = true,
				["positiony"] = 0,
				["timerbar"] = 1,
				[""] = true,
				["height"] = 32,
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 0,
				["ids"] = {
					33745, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 0,
				["perso"] = true,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 33745,
			}, -- [5]
			{
				["spellIDs"] = "1079",
				["abiStack"] = 0,
				["abiDuration"] = 6.770000000000001,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Déchirure", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0.001000000000203727,
				["abiSpelltext"] = "Déchirure",
				["timerbar"] = 1,
				["combo"] = false,
				["icon"] = true,
				[""] = true,
				["height"] = 32,
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 0,
				["ids"] = {
					1079, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 0,
				["perso"] = true,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 1079,
			}, -- [6]
			{
				["spellIDs"] = "99;25203",
				["abiStack"] = 0,
				["abiDuration"] = 30,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 0.4470588235294117,
					["r"] = 1,
				},
				["showcd"] = true,
				["names"] = {
					"Rugissement démoralisant", -- [1]
					"Cri démoralisant", -- [2]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 4.139999999999418,
				["abiSpelltext"] = "Rugissement démoralisant",
				["icon"] = true,
				["positiony"] = 0,
				["timerbar"] = 1,
				[""] = true,
				["sType"] = "Debuff",
				["abiAlphaPulse"] = 0,
				["getUptime"] = false,
				["ids"] = {
					99, -- [1]
					25203, -- [2]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["abiTimeLeft"] = 4.122999999075546,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 9973.807000000001,
				["abiSpellId"] = 99,
			}, -- [7]
			{
				["spellIDs"] = "5211",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["r"] = 0,
					["v"] = 1,
					["b"] = 0.1411764705882353,
				},
				["showcd"] = true,
				["names"] = {
					"Sonner", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Sonner",
				["icon"] = true,
				["positiony"] = 0,
				["timerbar"] = 1,
				[""] = true,
				["height"] = 32,
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 0,
				["ids"] = {
					5211, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 0,
				["perso"] = true,
				["getUptime"] = false,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 5211,
			}, -- [8]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["r"] = 0,
					["v"] = 1,
					["b"] = 0.5529411764705883,
				},
				["showcd"] = true,
				["names"] = {
					"Berserk", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Berserk",
				["icon"] = false,
				["positiony"] = 0,
				["timerbar"] = 2,
				["spellIDs"] = "50334",
				["height"] = 32,
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 0,
				["ids"] = {
					50334, -- [1]
				},
				["strongcheck"] = true,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 50334,
			}, -- [9]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0.5764705882352941,
					["v"] = 1,
					["r"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Fureur du tigre", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Fureur du tigre",
				["icon"] = false,
				["positiony"] = 0,
				["timerbar"] = 2,
				["spellIDs"] = "50213",
				["height"] = 32,
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 0,
				["ids"] = {
					50213, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 50213,
			}, -- [10]
			{
				["spellIDs"] = "22812",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 0,
					["v"] = 1,
					["b"] = 0.6039215686274509,
				},
				["showcd"] = true,
				["names"] = {
					"Ecorce", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 22812,
				["combo"] = false,
				["timerbar"] = 2,
				["abiSpelltext"] = "Ecorce",
				["strongcheck"] = false,
				["abiAlphaPulse"] = 0,
				["height"] = 32,
				["ids"] = {
					22812, -- [1]
				},
				["abiTimeLeft"] = 0,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["icon"] = false,
			}, -- [11]
		},
		["icons"] = {
			["mode"] = "BLEND",
			["fontSize"] = 11,
			["orderByTime"] = true,
			["textsoffsets"] = {
				{
					["offsety"] = 0,
					["offsetx"] = 1,
				}, -- [1]
				{
					["offsety"] = 2,
					["offsetx"] = 0,
				}, -- [2]
				{
					["offsety"] = 3,
					["offsetx"] = 1,
				}, -- [3]
			},
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["level"] = 10,
			["activeAlpha"] = 1,
			["width"] = 32,
			["speed"] = 4,
			["inactiveAlpha"] = 0.300000011920929,
			["enable"] = false,
			["growup"] = false,
			["height"] = 32,
			["colonne"] = 8,
			["automatic"] = true,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["blood"] = {
			["persistence"] = 7,
			["enable"] = true,
			["mode"] = "BLEND",
			["level"] = 1,
			["size"] = 0.6,
		},
		["anchor4"] = {
			["visible"] = false,
			["positiony"] = 314.25,
			["scale"] = 0.699999988079071,
			["width"] = 32,
			["info"] = "TIMERBARS 2",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 152.75,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["ooc"] = {
			["spell"] = 12536,
			["positiony"] = -6,
			["enable"] = true,
			["scaleMin"] = 1,
			["width"] = "650",
			["textureOff"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
			["speed"] = 0.09999999403953552,
			["scaleMax"] = 0.1,
			["textureOn"] = "Interface\\AddOns\\DroodFocus\\datas\\ooc.tga",
			["height"] = "150",
			["mode"] = "ADD",
			["level"] = 10,
			["positionx"] = 72,
		},
		["healthbar"] = {
			["fontSize"] = 12,
			["positiony"] = 40,
			["enable"] = false,
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["colorBad"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["colorAverage"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0.5,
				["b"] = 0,
			},
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["level"] = 2,
			["textx"] = -7,
			["width"] = 192,
			["positionx"] = 8,
			["height"] = 18,
			["showText"] = true,
			["texty"] = 1,
			["orientation"] = "HORIZONTAL",
			["textAlign"] = "RIGHT",
			["colorGood"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 1,
				["b"] = 0,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["gridSizeY"] = 0.25,
		["anchor2"] = {
			["visible"] = true,
			["positiony"] = 377.75,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "ICONS",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 149.75,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["sound"] = {
			["enable"] = true,
			["soundfiles"] = {
				"", -- [1]
				"Sound\\Spells\\Druid_Pounce.wav", -- [2]
				"", -- [3]
				"Sound\\Spells\\Druid_FeralCharge.wav", -- [4]
				"", -- [5]
				"", -- [6]
				"", -- [7]
			},
		},
		["cooldown"] = {
			["offsety"] = -52,
			["positiony"] = -1.000137314198355,
			["enable"] = true,
			["alpha"] = 0.75,
			["width"] = 50,
			["mode"] = "BLEND",
			["height"] = 50,
			["offsetx"] = 0,
			["level"] = 5,
			["positionx"] = 199.9999970197678,
		},
		["inCombat"] = false,
	}, -- [3]
	{
		["configversion"] = "400",
		["MiniMapAngle"] = 215.8160744865155,
		["portrait"] = {
			["textures"] = {
				"Interface\\AddOns\\DroodFocus\\datas\\empty.tga", -- [1]
				"Interface\\AddOns\\DroodFocus\\datas\\bearform.tga", -- [2]
				"Interface\\AddOns\\DroodFocus\\datas\\aquaform.tga", -- [3]
				"Interface\\AddOns\\DroodFocus\\datas\\catform.tga", -- [4]
				"Interface\\AddOns\\DroodFocus\\datas\\travelform.tga", -- [5]
				"Interface\\AddOns\\DroodFocus\\datas\\moonkinform.tga", -- [6]
				"Interface\\AddOns\\DroodFocus\\datas\\flightform.tga", -- [7]
			},
			["height"] = "64",
			["positionx"] = -166.824681657185,
			["positiony"] = 80.48189043280644,
			["enable"] = false,
			["level"] = 5,
			["mode"] = "ADD",
			["width"] = "64",
		},
		["combo"] = {
			["angleB"] = 183,
			["offsety"] = 0,
			["positiony"] = -21,
			["enable"] = true,
			["form"] = {
				false, -- [1]
				true, -- [2]
				false, -- [3]
				true, -- [4]
				false, -- [5]
				false, -- [6]
				false, -- [7]
			},
			["angleA"] = 288,
			["width"] = 20,
			["positionx"] = 9,
			["ptype"] = 1,
			["rayon"] = 37,
			["offsetx"] = 20,
			["height"] = 20,
			["level"] = 3,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\combo.tga",
			["mode"] = "BLEND",
		},
		["powerbar"] = {
			["fontSize"] = 15,
			["positiony"] = -18.25,
			["enable"] = true,
			["showSpark"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 1,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["colorDef"] = {
				["a"] = 1,
				["r"] = 0.5,
				["v"] = 0.5,
				["b"] = 0.5,
			},
			["textAlign"] = "BOTTOMRIGHT",
			["textx"] = -3.5,
			["positionx"] = 10.25,
			["height"] = 32,
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["border"] = true,
			["colorMana"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 1,
			},
			["enableArrows"] = true,
			["arrows"] = {
				33983, -- [1]
				5221, -- [2]
				80, -- [3]
				0, -- [4]
			},
			["width"] = 192,
			["showText"] = true,
			["colorRage"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["orientation"] = "HORIZONTAL",
			["texty"] = 2,
			["colorNrj"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 0,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["alert"] = {
			["texture1"] = "Interface\\AddOns\\DroodFocus\\datas\\alertBehind.tga",
			["positiony"] = 38.18697932947816,
			["enable"] = true,
			["texture2"] = "Interface\\AddOns\\DroodFocus\\datas\\alertRange.tga",
			["width"] = "64",
			["texture3"] = "Interface\\AddOns\\DroodFocus\\datas\\alertSkull.tga",
			["height"] = "64",
			["level"] = 5,
			["mode"] = "BLEND",
			["positionx"] = 73.99974628334167,
		},
		["threatbar"] = {
			["fontSize"] = 8,
			["positiony"] = 66,
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 3,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["enable"] = false,
			["width"] = 192,
			["textx"] = -7,
			["texty"] = 1,
			["showText"] = false,
			["height"] = "6",
			["orientation"] = "HORIZONTAL",
			["positionx"] = -117.25,
			["textAlign"] = "RIGHT",
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["gridSizeX"] = 0.25,
		["targetbar"] = {
			["fontSize"] = 11,
			["positiony"] = 218.75,
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0.75,
				["b"] = 0,
			},
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["enable"] = false,
			["width"] = 192,
			["textx"] = 0,
			["texty"] = 1.5,
			["showText"] = true,
			["height"] = "13",
			["orientation"] = "HORIZONTAL",
			["textAlign"] = "CENTER",
			["positionx"] = -242.75,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["cursorspeed"] = 30,
		["alignToGrid"] = true,
		["anchor6"] = {
			["visible"] = true,
			["positiony"] = 272.5,
			["scale"] = 1,
			["width"] = "32",
			["info"] = "CD",
			["positionx"] = 612.75,
			["height"] = "32",
			["level"] = 10,
			["mode"] = "BLEND",
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["infos"] = {
			["fontSize"] = 10,
			["enable"] = false,
			["infolines"] = "PowerAttack: #meleeAP*Crit: #meleeCrit*Haste: #meleeHaste*ArPen: #armPen",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_typewriter.ttf",
			["level"] = 20,
			["backColor"] = {
				["a"] = 0,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
			["textColor"] = {
				["a"] = 0.4600000381469727,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["gps"] = {
			["fontSize"] = 16,
			["offsety"] = -22,
			["positiony"] = 224.0000309944148,
			["enable"] = true,
			["alpha"] = 0.7,
			["width"] = "48",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf",
			["offsetx"] = 0,
			["positionx"] = 352.9999871104957,
			["height"] = "36",
			["mode"] = "BLEND",
			["level"] = 13,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["timerbar"] = {
			["orderByTime"] = true,
			["enable"] = false,
			["font1Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["border"] = true,
			["borderSize"] = 1,
			["cdColor"] = {
				["a"] = 0.8,
				["r"] = 1,
				["v"] = 1,
				["b"] = 0,
			},
			["showTimeLine"] = true,
			["inactiveAlpha"] = 0.3,
			["level"] = 4,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["activeAlphaCD"] = 1,
			["font2Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf",
			["activeAlpha"] = 1,
			["growup"] = false,
			["timeline"] = 14,
			["font1Size"] = 10,
			["width"] = 192,
			["font2Size"] = 18,
			["textsoffsets"] = {
				{
					["offsety"] = 1,
					["offsetx"] = 1,
				}, -- [1]
				{
					["offsety"] = 1,
					["offsetx"] = 0,
				}, -- [2]
			},
			["cdoffsety"] = 2,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["height"] = "20",
			["cdoffsetx"] = 0,
			["showSpark"] = true,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["timelines"] = {
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
			["enable"] = true,
			["activeAlpha"] = 0.1,
			["width"] = 1,
		},
		["anchor1"] = {
			["visible"] = true,
			["positiony"] = 278.25,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "UI",
			["positionx"] = "411",
			["height"] = 32,
			["level"] = 1,
			["mode"] = "BLEND",
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["configname"] = "(BuildIn) Compact",
		["activeForms"] = {
			false, -- [1]
			true, -- [2]
			true, -- [3]
			true, -- [4]
			true, -- [5]
			false, -- [6]
			false, -- [7]
		},
		["anchor5"] = {
			["visible"] = true,
			["positiony"] = 266.75,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "INFOS",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 247.5,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["anchor3"] = {
			["visible"] = true,
			["positiony"] = 433,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "TIMERBARS 1",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 238.5,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["manabar"] = {
			["fontSize"] = 12,
			["positiony"] = 140,
			["color"] = {
				["r"] = 0,
				["v"] = 0,
				["b"] = 1,
			},
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textx"] = -7,
			["width"] = 192,
			["enable"] = false,
			["texty"] = 1,
			["showText"] = true,
			["orientation"] = "HORIZONTAL",
			["height"] = 18,
			["textAlign"] = "RIGHT",
			["positionx"] = 8,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["spells"] = {
			{
				["spellIDs"] = "52610",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0.2078431372549019,
					["v"] = 1,
					["r"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Rugissement sauvage", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Rugissement sauvage",
				["timerbar"] = 1,
				["positiony"] = 0,
				["icon"] = true,
				[""] = true,
				["sType"] = "Buff",
				["abiAlphaPulse"] = 0,
				["getUptime"] = true,
				["ids"] = {
					52610, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 0,
				["perso"] = false,
				["abiTimeLeft"] = 0,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 52610,
			}, -- [1]
			{
				["spellIDs"] = "16857;770;33602",
				["abiStack"] = 0,
				["abiDuration"] = 300,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 1,
					["r"] = 0.9803921568627451,
				},
				["showcd"] = true,
				["names"] = {
					"Lucioles (farouche)", -- [1]
					"Lucioles", -- [2]
					"Lucioles améliorées", -- [3]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 285.4980000000014,
				["abiSpelltext"] = "Lucioles (farouche)",
				["icon"] = true,
				["positiony"] = 0,
				["timerbar"] = 1,
				[""] = true,
				["sType"] = "Debuff",
				["abiAlphaPulse"] = 0,
				["getUptime"] = false,
				["ids"] = {
					16857, -- [1]
					770, -- [2]
					33602, -- [3]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 16.2549999999992,
				["perso"] = false,
				["abiTimeLeft"] = 285.4819999992415,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 10111.546,
				["abiSpellId"] = 16857,
			}, -- [2]
			{
				["spellIDs"] = "33983;33987;46854",
				["abiStack"] = 0,
				["abiDuration"] = 12,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 0.4117647058823529,
					["r"] = 1,
				},
				["showcd"] = true,
				["names"] = {
					"Mutilation (félin)", -- [1]
					"Mutilation (ours)", -- [2]
					"Traumatisme", -- [3]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0.06300000000010186,
				["abiSpelltext"] = "Mutilation (félin)",
				["icon"] = true,
				["positiony"] = 0,
				["timerbar"] = 1,
				[""] = true,
				["sType"] = "Debuff",
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 0,
				["ids"] = {
					33983, -- [1]
					33987, -- [2]
					46854, -- [3]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 40.20700000000034,
				["perso"] = false,
				["getUptime"] = true,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 33983,
			}, -- [3]
			{
				["spellIDs"] = "1822",
				["abiStack"] = 0,
				["abiDuration"] = 9,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Griffure", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0.01199999999880674,
				["abiSpelltext"] = "Griffure",
				["icon"] = true,
				["positiony"] = 0,
				["timerbar"] = 1,
				[""] = true,
				["height"] = 32,
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 0,
				["ids"] = {
					1822, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 9.003000000000611,
				["perso"] = true,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 1822,
			}, -- [4]
			{
				["spellIDs"] = "33745",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = true,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Lacérer", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Lacérer",
				["icon"] = true,
				["positiony"] = 0,
				["timerbar"] = 1,
				[""] = true,
				["height"] = 32,
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 0,
				["ids"] = {
					33745, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 0,
				["perso"] = true,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 33745,
			}, -- [5]
			{
				["spellIDs"] = "1079",
				["abiStack"] = 0,
				["abiDuration"] = 11.996,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Déchirure", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0.007999999999810825,
				["abiSpelltext"] = "Déchirure",
				["timerbar"] = 1,
				["combo"] = false,
				["icon"] = true,
				[""] = true,
				["height"] = 32,
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 0,
				["ids"] = {
					1079, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 13.98799999999937,
				["perso"] = true,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 1079,
			}, -- [6]
			{
				["spellIDs"] = "99;25203",
				["abiStack"] = 0,
				["abiDuration"] = 30,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 0.4470588235294117,
					["r"] = 1,
				},
				["showcd"] = true,
				["names"] = {
					"Rugissement démoralisant", -- [1]
					"Cri démoralisant", -- [2]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 28.23300000000018,
				["abiSpelltext"] = "Rugissement démoralisant",
				["icon"] = true,
				["positiony"] = 0,
				["timerbar"] = 1,
				[""] = true,
				["sType"] = "Debuff",
				["abiAlphaPulse"] = 0,
				["getUptime"] = false,
				["ids"] = {
					99, -- [1]
					25203, -- [2]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 11.45600000000013,
				["perso"] = false,
				["abiTimeLeft"] = 0,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 99,
			}, -- [7]
			{
				["spellIDs"] = "5211",
				["abiStack"] = 0,
				["abiDuration"] = 4,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["r"] = 0,
					["v"] = 1,
					["b"] = 0.1411764705882353,
				},
				["showcd"] = true,
				["names"] = {
					"Sonner", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0.03300000000126602,
				["abiSpelltext"] = "Sonner",
				["icon"] = true,
				["positiony"] = 0,
				["timerbar"] = 1,
				[""] = true,
				["height"] = 32,
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 0,
				["ids"] = {
					5211, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 3.983000000000175,
				["perso"] = true,
				["getUptime"] = false,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 5211,
			}, -- [8]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["r"] = 0,
					["v"] = 1,
					["b"] = 0.5529411764705883,
				},
				["showcd"] = true,
				["names"] = {
					"Berserk", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Berserk",
				["icon"] = false,
				["positiony"] = 0,
				["timerbar"] = 2,
				["spellIDs"] = "50334",
				["height"] = 32,
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 0,
				["ids"] = {
					50334, -- [1]
				},
				["strongcheck"] = true,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 50334,
			}, -- [9]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0.5764705882352941,
					["v"] = 1,
					["r"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Fureur du tigre", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Fureur du tigre",
				["icon"] = false,
				["positiony"] = 0,
				["timerbar"] = 2,
				["spellIDs"] = "50213",
				["height"] = 32,
				["abiAlphaPulse"] = 0,
				["abiTimeLeft"] = 0,
				["ids"] = {
					50213, -- [1]
				},
				["strongcheck"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 50213,
			}, -- [10]
			{
				["spellIDs"] = "22812",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 0,
					["v"] = 1,
					["b"] = 0.6039215686274509,
				},
				["showcd"] = true,
				["names"] = {
					"Ecorce", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpellId"] = 22812,
				["combo"] = false,
				["timerbar"] = 2,
				["abiSpelltext"] = "Ecorce",
				["strongcheck"] = false,
				["abiAlphaPulse"] = 0,
				["height"] = 32,
				["ids"] = {
					22812, -- [1]
				},
				["abiTimeLeft"] = 0,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["icon"] = false,
			}, -- [11]
		},
		["icons"] = {
			["mode"] = "BLEND",
			["fontSize"] = 13,
			["orderByTime"] = true,
			["textsoffsets"] = {
				{
					["offsety"] = 0,
					["offsetx"] = 1,
				}, -- [1]
				{
					["offsety"] = 2,
					["offsetx"] = 0,
				}, -- [2]
				{
					["offsety"] = 3,
					["offsetx"] = 1,
				}, -- [3]
			},
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["level"] = 10,
			["activeAlpha"] = 1,
			["width"] = 37,
			["speed"] = 4,
			["inactiveAlpha"] = 0.300000011920929,
			["enable"] = true,
			["growup"] = false,
			["height"] = 37,
			["colonne"] = 8,
			["automatic"] = true,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["blood"] = {
			["persistence"] = 7,
			["enable"] = true,
			["mode"] = "BLEND",
			["level"] = 1,
			["size"] = 0.6,
		},
		["anchor4"] = {
			["visible"] = false,
			["positiony"] = 401.5,
			["scale"] = 0.699999988079071,
			["width"] = 32,
			["info"] = "TIMERBARS 2",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 238.25,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["ooc"] = {
			["spell"] = 12536,
			["positiony"] = 16,
			["enable"] = true,
			["scaleMin"] = 1,
			["width"] = "650",
			["textureOff"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
			["speed"] = 0.09999999403953552,
			["scaleMax"] = 0.1,
			["textureOn"] = "Interface\\AddOns\\DroodFocus\\datas\\ooc.tga",
			["height"] = "150",
			["mode"] = "ADD",
			["level"] = 10,
			["positionx"] = 73,
		},
		["healthbar"] = {
			["fontSize"] = 12,
			["positiony"] = 40,
			["enable"] = false,
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["colorBad"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["colorAverage"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0.5,
				["b"] = 0,
			},
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["level"] = 2,
			["textx"] = -7,
			["width"] = 192,
			["positionx"] = 8,
			["height"] = 18,
			["showText"] = true,
			["texty"] = 1,
			["orientation"] = "HORIZONTAL",
			["textAlign"] = "RIGHT",
			["colorGood"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 1,
				["b"] = 0,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["gridSizeY"] = 0.25,
		["anchor2"] = {
			["visible"] = true,
			["positiony"] = 233.75,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "ICONS",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 412,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["sound"] = {
			["enable"] = true,
			["soundfiles"] = {
				"", -- [1]
				"Sound\\Spells\\Druid_Pounce.wav", -- [2]
				"", -- [3]
				"Sound\\Spells\\Druid_FeralCharge.wav", -- [4]
				"", -- [5]
				"", -- [6]
				"", -- [7]
			},
		},
		["cooldown"] = {
			["offsety"] = -52,
			["positiony"] = -5.646686469812892,
			["enable"] = true,
			["alpha"] = 0.75,
			["width"] = 50,
			["mode"] = "BLEND",
			["height"] = 50,
			["offsetx"] = 0,
			["level"] = 5,
			["positionx"] = 202.7081650091981,
		},
		["inCombat"] = false,
	}, -- [4]
	{
		["configversion"] = "400",
		["MiniMapAngle"] = 215.8160744865155,
		["portrait"] = {
			["textures"] = {
				"Interface\\AddOns\\DroodFocus\\datas\\empty.tga", -- [1]
				"Interface\\AddOns\\DroodFocus\\datas\\bearform.tga", -- [2]
				"Interface\\AddOns\\DroodFocus\\datas\\aquaform.tga", -- [3]
				"Interface\\AddOns\\DroodFocus\\datas\\catform.tga", -- [4]
				"Interface\\AddOns\\DroodFocus\\datas\\travelform.tga", -- [5]
				"Interface\\AddOns\\DroodFocus\\datas\\moonkinform.tga", -- [6]
				"Interface\\AddOns\\DroodFocus\\datas\\flightform.tga", -- [7]
			},
			["height"] = "48",
			["positionx"] = "1.8",
			["positiony"] = "1",
			["enable"] = true,
			["level"] = 5,
			["mode"] = "ADD",
			["width"] = "48",
		},
		["combo"] = {
			["angleB"] = 183,
			["offsety"] = 0,
			["positiony"] = "-21",
			["enable"] = true,
			["form"] = {
				false, -- [1]
				true, -- [2]
				false, -- [3]
				true, -- [4]
				false, -- [5]
				false, -- [6]
				false, -- [7]
			},
			["angleA"] = 288,
			["width"] = 20,
			["positionx"] = 51.66293145777689,
			["ptype"] = 1,
			["rayon"] = 37,
			["offsetx"] = 20,
			["height"] = 20,
			["level"] = 3,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\combo.tga",
			["mode"] = "BLEND",
		},
		["powerbar"] = {
			["fontSize"] = 13,
			["positiony"] = "-18.5",
			["enable"] = true,
			["showSpark"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 1,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["colorDef"] = {
				["a"] = 1,
				["r"] = 0.5,
				["v"] = 0.5,
				["b"] = 0.5,
			},
			["textAlign"] = "BOTTOMRIGHT",
			["textx"] = -3.5,
			["positionx"] = "10",
			["height"] = 32,
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["border"] = true,
			["colorMana"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 1,
			},
			["enableArrows"] = false,
			["arrows"] = {
				33983, -- [1]
				5221, -- [2]
				80, -- [3]
				0, -- [4]
			},
			["width"] = 192,
			["showText"] = true,
			["colorRage"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["orientation"] = "HORIZONTAL",
			["texty"] = 2,
			["colorNrj"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 0,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["alert"] = {
			["texture1"] = "Interface\\AddOns\\DroodFocus\\datas\\alertBehind.tga",
			["positiony"] = 100.0000748038281,
			["enable"] = true,
			["texture2"] = "Interface\\AddOns\\DroodFocus\\datas\\alertRange.tga",
			["width"] = "64",
			["texture3"] = "Interface\\AddOns\\DroodFocus\\datas\\alertSkull.tga",
			["height"] = "64",
			["level"] = 5,
			["mode"] = "BLEND",
			["positionx"] = 73.82354626322467,
		},
		["threatbar"] = {
			["fontSize"] = 8,
			["positiony"] = -49.5,
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 3,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["enable"] = true,
			["width"] = 192,
			["textx"] = -7,
			["texty"] = 1,
			["showText"] = false,
			["height"] = "6",
			["orientation"] = "HORIZONTAL",
			["positionx"] = "10",
			["textAlign"] = "RIGHT",
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["gridSizeX"] = 0.25,
		["targetbar"] = {
			["fontSize"] = 11,
			["positiony"] = -6,
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0.75,
				["b"] = 0,
			},
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["enable"] = true,
			["width"] = 192,
			["textx"] = 0,
			["texty"] = 0.5,
			["showText"] = true,
			["height"] = "13",
			["orientation"] = "HORIZONTAL",
			["textAlign"] = "CENTER",
			["positionx"] = 10,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["cursorspeed"] = 100,
		["alignToGrid"] = true,
		["anchor6"] = {
			["visible"] = true,
			["positiony"] = 206.25,
			["scale"] = 0.9,
			["width"] = "32",
			["info"] = "CD",
			["positionx"] = 368.5,
			["height"] = "32",
			["level"] = 10,
			["mode"] = "BLEND",
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["infos"] = {
			["fontSize"] = 10,
			["enable"] = false,
			["infolines"] = "PowerAttack: #meleeAP*Crit: #meleeCrit*Haste: #meleeHaste*ArPen: #armPen",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_typewriter.ttf",
			["level"] = 20,
			["backColor"] = {
				["a"] = 0,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
			["textColor"] = {
				["a"] = 0.4600000381469727,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["gps"] = {
			["fontSize"] = 16,
			["offsety"] = -22,
			["positiony"] = 258.9992293864603,
			["enable"] = true,
			["alpha"] = 1,
			["width"] = "48",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf",
			["offsetx"] = 0,
			["positionx"] = 479.9999928474427,
			["height"] = "36",
			["mode"] = "BLEND",
			["level"] = 10,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["timerbar"] = {
			["orderByTime"] = true,
			["enable"] = true,
			["font1Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["border"] = true,
			["borderSize"] = 1,
			["cdColor"] = {
				["a"] = 0.800000011920929,
				["r"] = 1,
				["v"] = 0.8666666666666667,
				["b"] = 0,
			},
			["showTimeLine"] = true,
			["inactiveAlpha"] = 0,
			["level"] = 4,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["activeAlphaCD"] = 1,
			["font2Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf",
			["activeAlpha"] = 1,
			["growup"] = true,
			["timeline"] = 14,
			["font1Size"] = 12,
			["width"] = "192",
			["font2Size"] = 21,
			["textsoffsets"] = {
				{
					["offsety"] = 2,
					["offsetx"] = 2,
				}, -- [1]
				{
					["offsety"] = 0,
					["offsetx"] = 1,
				}, -- [2]
			},
			["cdoffsety"] = 2,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["height"] = "20",
			["cdoffsetx"] = 0,
			["showSpark"] = true,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["timelines"] = {
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
			["enable"] = true,
			["activeAlpha"] = 0.1,
			["width"] = 1,
		},
		["anchor1"] = {
			["visible"] = true,
			["positiony"] = 211.5,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "UI",
			["positionx"] = 408,
			["height"] = 32,
			["level"] = 1,
			["mode"] = "BLEND",
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["configname"] = "(BuildIn) Moonkin",
		["activeForms"] = {
			false, -- [1]
			false, -- [2]
			true, -- [3]
			false, -- [4]
			true, -- [5]
			true, -- [6]
			false, -- [7]
		},
		["anchor5"] = {
			["visible"] = true,
			["positiony"] = 282,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "INFOS",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 125,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["anchor3"] = {
			["visible"] = true,
			["positiony"] = 228.25,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "TIMERBARS 1",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 123.25,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["manabar"] = {
			["fontSize"] = 12,
			["positiony"] = 140,
			["color"] = {
				["r"] = 0,
				["v"] = 0,
				["b"] = 1,
			},
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textx"] = -7,
			["width"] = 192,
			["enable"] = false,
			["texty"] = 1,
			["showText"] = true,
			["orientation"] = "HORIZONTAL",
			["height"] = 18,
			["textAlign"] = "RIGHT",
			["positionx"] = 8,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["spells"] = {
			{
				["spellIDs"] = "48518",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 1,
					["v"] = 0.1882352941176471,
					["r"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Eclipse", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Eclipse",
				["timerbar"] = 0,
				["icon"] = true,
				["positiony"] = 0,
				["strongcheck"] = true,
				["abiAlphaPulse"] = 0,
				["sType"] = "Buff",
				["ids"] = {
					48518, -- [1]
				},
				["getUptime"] = true,
				["form"] = {
					true, -- [1]
					false, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 45,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 0,
				["perso"] = true,
				["abiTimeLeft"] = 0,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 48518,
			}, -- [1]
			{
				["spellIDs"] = "48517",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 0,
					["r"] = 1,
				},
				["showcd"] = true,
				["names"] = {
					"Eclipse", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Eclipse",
				["icon"] = true,
				["timerbar"] = 0,
				["positiony"] = 0,
				["strongcheck"] = true,
				["abiAlphaPulse"] = 0,
				["sType"] = "Buff",
				["ids"] = {
					48517, -- [1]
				},
				["getUptime"] = true,
				["form"] = {
					true, -- [1]
					false, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 45,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 0,
				["perso"] = true,
				["abiTimeLeft"] = 0,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 48517,
			}, -- [2]
			{
				["spellIDs"] = "48463",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 0,
					["r"] = 1,
				},
				["showcd"] = true,
				["names"] = {
					"Eclat lunaire", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Eclat lunaire",
				["icon"] = true,
				["timerbar"] = 0,
				["positiony"] = 0,
				["strongcheck"] = false,
				["abiAlphaPulse"] = 0,
				["sType"] = "Debuff",
				["ids"] = {
					48463, -- [1]
				},
				["abiTimeLeft"] = 0,
				["form"] = {
					true, -- [1]
					false, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 11.65200000000186,
				["perso"] = true,
				["getUptime"] = true,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 48463,
			}, -- [3]
			{
				["spellIDs"] = "57851;48468",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Essaim d'insectes amélioré", -- [1]
					"Essaim d'insectes", -- [2]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Essaim d'insectes amélioré",
				["icon"] = true,
				["timerbar"] = 0,
				["positiony"] = 0,
				["strongcheck"] = false,
				["abiAlphaPulse"] = 0,
				["height"] = 32,
				["ids"] = {
					57851, -- [1]
					48468, -- [2]
				},
				["abiTimeLeft"] = 0,
				["form"] = {
					true, -- [1]
					false, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 0,
				["perso"] = true,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 57851,
			}, -- [4]
			{
				["spellIDs"] = "33602;770",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["r"] = 0,
					["v"] = 1,
					["b"] = 0.6039215686274509,
				},
				["showcd"] = true,
				["names"] = {
					"Lucioles améliorées", -- [1]
					"Lucioles", -- [2]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Lucioles améliorées",
				["icon"] = true,
				["timerbar"] = 0,
				["positiony"] = 0,
				["strongcheck"] = false,
				["abiAlphaPulse"] = 0,
				["height"] = 32,
				["ids"] = {
					33602, -- [1]
					770, -- [2]
				},
				["abiTimeLeft"] = 0,
				["form"] = {
					true, -- [1]
					false, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["abiUpTime"] = 0,
				["width"] = 32,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 33602,
			}, -- [5]
			{
				["spellIDs"] = "33831",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 0,
					["v"] = 1,
					["b"] = 0.2078431372549019,
				},
				["showcd"] = true,
				["names"] = {
					"Force de la nature", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Force de la nature",
				["timerbar"] = 2,
				["icon"] = false,
				["combo"] = false,
				["strongcheck"] = false,
				["abiAlphaPulse"] = 0,
				["height"] = 32,
				["ids"] = {
					33831, -- [1]
				},
				["abiTimeLeft"] = 0,
				["form"] = {
					true, -- [1]
					false, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 0,
				["perso"] = true,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 33831,
			}, -- [6]
			{
				["spellIDs"] = "53201",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 1,
					["v"] = 0.984313725490196,
					["r"] = 0,
				},
				["showcd"] = true,
				["names"] = {
					"Météores", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Météores",
				["icon"] = false,
				["timerbar"] = 2,
				["positiony"] = 0,
				["strongcheck"] = false,
				["abiAlphaPulse"] = 0,
				["sType"] = "Debuff",
				["ids"] = {
					53201, -- [1]
				},
				["getUptime"] = false,
				["form"] = {
					true, -- [1]
					false, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 0,
				["perso"] = true,
				["abiTimeLeft"] = 0,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 53201,
			}, -- [7]
			{
				["spellIDs"] = "61384",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["r"] = 0.6588235294117647,
					["v"] = 0,
					["b"] = 1,
				},
				["showcd"] = true,
				["names"] = {
					"Typhon", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Typhon",
				["icon"] = false,
				["timerbar"] = 2,
				["positiony"] = 0,
				["strongcheck"] = false,
				["abiAlphaPulse"] = 0,
				["height"] = 32,
				["ids"] = {
					61384, -- [1]
				},
				["abiTimeLeft"] = 0,
				["form"] = {
					true, -- [1]
					false, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["abiInternalCD"] = 0,
				["width"] = 32,
				["abiUpTime"] = 0,
				["abiUptime"] = 0,
				["perso"] = true,
				["getUptime"] = false,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["abiSpellId"] = 61384,
			}, -- [8]
		},
		["icons"] = {
			["mode"] = "BLEND",
			["fontSize"] = 13,
			["orderByTime"] = false,
			["textsoffsets"] = {
				{
					["offsety"] = -2,
					["offsetx"] = 1,
				}, -- [1]
				{
					["offsety"] = 2,
					["offsetx"] = 1,
				}, -- [2]
				{
					["offsety"] = 2,
					["offsetx"] = 1,
				}, -- [3]
			},
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["level"] = 10,
			["activeAlpha"] = 1,
			["width"] = 37,
			["speed"] = 4,
			["inactiveAlpha"] = 0.3,
			["enable"] = true,
			["growup"] = false,
			["height"] = 37,
			["colonne"] = 8,
			["automatic"] = true,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["blood"] = {
			["persistence"] = 7,
			["enable"] = true,
			["mode"] = "BLEND",
			["level"] = 1,
			["size"] = 0.6,
		},
		["anchor4"] = {
			["visible"] = true,
			["positiony"] = 162.5,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "TIMERBARS 2",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 409.5,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["ooc"] = {
			["spell"] = 12536,
			["positiony"] = 100.3328308413501,
			["enable"] = true,
			["scaleMin"] = 1,
			["width"] = "256",
			["textureOff"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
			["speed"] = 0.1,
			["scaleMax"] = 0.1,
			["textureOn"] = "Interface\\AddOns\\DroodFocus\\datas\\ooc.tga",
			["height"] = "256",
			["mode"] = "ADD",
			["level"] = 10,
			["positionx"] = 73.92936596379627,
		},
		["healthbar"] = {
			["fontSize"] = 12,
			["positiony"] = 40,
			["enable"] = false,
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["colorBad"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["colorAverage"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0.5,
				["b"] = 0,
			},
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["level"] = 2,
			["textx"] = -7,
			["width"] = 192,
			["positionx"] = 8,
			["height"] = 18,
			["showText"] = true,
			["texty"] = 1,
			["orientation"] = "HORIZONTAL",
			["textAlign"] = "RIGHT",
			["colorGood"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 1,
				["b"] = 0,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["gridSizeY"] = 0.25,
		["anchor2"] = {
			["visible"] = true,
			["positiony"] = "252",
			["scale"] = 1,
			["width"] = 32,
			["info"] = "ICONS",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 409.25,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["sound"] = {
			["enable"] = true,
			["soundfiles"] = {
				"", -- [1]
				"Sound\\Spells\\Druid_Pounce.wav", -- [2]
				"", -- [3]
				"Sound\\Spells\\Druid_FeralCharge.wav", -- [4]
				"", -- [5]
				"", -- [6]
				"", -- [7]
			},
		},
		["cooldown"] = {
			["offsety"] = -52,
			["positiony"] = -1.000137314198355,
			["enable"] = true,
			["alpha"] = 0.8,
			["width"] = 48,
			["mode"] = "BLEND",
			["height"] = 48,
			["offsetx"] = 0,
			["level"] = 5,
			["positionx"] = 199.9999970197678,
		},
		["inCombat"] = false,
	}, -- [5]
}

DF_sharemedia = {
}
